Bug 291262

Summary: Logitheque Muon issue
Product: muon Reporter: Emmanuel PILLET <emmanuel.p.pillet>
Component: installerAssignee: Jonathan Thomas <echidnaman>
Status: RESOLVED FIXED    
Severity: crash CC: 104254, 82dsa82, a.langley, a.meier, ably, acatulo13, acllon, adamk8875, adsnet.mx, age_2yk, ak47akapen, alexkde, alfa_ram_q, anderbit, andrecbr, andregallus-andreas, andrewkarpich, anthm_wind, arch.gattoni, arcshams, armandopalla, atis.pried, atorgovitsky, auletirian, aure.perso27, avatar6662, bamag33k, barrios_p, bartos.g, basker2007, bass_20hz, bdofka, bear1650, beks_cm, benny.mueller-gehr, benxjn, bernard.kolek, bettleduck, billalexpl5, billkakoy, bjeffries79, bleckola, bo4inskiy, bochal, brassic, brian.blackhurst, bsavoir, bugzappy, c.a.gamble, cannibal3004, cantonop76, carlota_81, cazelles.bruno, cesar.peralta.tora, cfeck, chad.aaron.peters, chicochicaogusmao, chris, chrish, christian.meister1, claudiob58, cleanersworld, cmolinamotos, comboy007, comphei11, csokosz, cybermoor, damianbcpetro, danix, dantvli, dare, darthsteel, davethewave83, david.spz1989, davidtannock, ddk_007, de2bloody, dennis-bmw, der_schamane, devel.sjanki, diegodasilvamonte, dmcd2356, dominik.bieber, dondersjoris, dondolo_stardust, doug.gallinger, drphysic2033, drum_bass, durham_harry, dusan.tatomirovic, dylanjay16, d_92, ebreiss, echipizubov, edblakeny, eduardo6789, edward-rukia, edwin.1515, edy_azk, elgurca, elmo86wagt, emmanuel.p.pillet, eraldomenini, erni83, esseci71, etiennedecolomiers, evertcannas, e_touitou, fabijand, fabrice.forre, fabrizio.silvestri, figtree7nts, fiszis, fjperezor, fouad.hal, fpuente, franciscoadriansanchez, froozles1910, gabaj.ivan, gaboriron, gadezti, galejk, gamerx_24, ga_ac, genin100, gerhard.decher, gerrybeale, gfike01, gms2003, gnu2kubuntu, gooood85, gpluiz1, grady.parks, graphitehemi, grassman_from_jamaica, gwardlow, h.roeszler, hamblinm10, Harald.Kollmann, harryzzz004, hawaii_boy2000, hellriderjamis, HerrZufall, hester.travis, holgernebling, hoodlumbubo, hoot2289, hugo.krafft, hvold, hydefromt70s, i.solonari, ian.d.burrell, ibraimovski081967, icey1, ignitem, igrp5, imacleod, IQBALSOUND, jacktyang, jacob0305, janimerfroh, jarl, jeff10278, jeffhome43, jenswernermr2, jerome.lambert, jerome.pro, jeronimocp, jesteronabike, jgarfolo, joachimrs, joente, john.k.mccann, johnstonmark2, jonnymarques, jujogaju, juliozanardine, jwpavel, k-a-z_acer, ka6ope, kai.stampe, karagiorgos.k, karsten2602, kati, kde, kdebug, kelley.castleberry, keopsaam20, kiko.web, klovell, konopa, konstro, koopasforever, kueche, l.oldersma, ladoleo, lamden01qn, laurus87nr2, liakis2005, lindsayb_cargill, linforcer, linuxminuxfux, loic.corbasson, lokot_72, lordrios, lorenzo.zanna, ltfullert, luchectes, luvvo, m33600, maiiis, makaschke, mamelig, manjadanijel, marcandrebenoit, marisebc, marius.vandeventer, mark.nurse, martin_harris, matheusdalmeida, mats, matthiasstoerk, matty.fournier, maxim.25, mbeltov, mbreniamino, mc.marian.mc, medinabanu, meme.barbieri, mentux, mexpimp12, michael.oliver.cahill+kdebugs, michael1068, michel.rensonnet, micknobett, mihai.petrescu+kde.org, mikemanzella, mimid_karim2010, minizarbi, mister.gemix, Mixphonics, mla505, mokiman_210, morgan.hugo, mparchet, mpmc1987, mr.unstoppablee, mvenkatesancse, nagid_brown, neandertalspeople, neoncode, nicohebus2000, nicolas.jovanovic, nio974, nmagaia, nonameismyname, octavian.szolga, odetoyin, ok1pet, Olaf-Chemnitz, ortegahernandes, oscar.barrientos, other.inbox, ott, P1310, pa, paavo.suhonen, pablo.barton, paolotrr, paul.audebert, pavelkat, pellat.j-c, perrito_play, perugolate, peter.ceuterickx, phoenix.l7766, prekopj, prideth1337, przemekk911, rafael00.tb, rafaeldb, rainy_sky, ratm32, raunopt, red.storm_, red_letter, reederror, Renovatio, rex31, rfranr, rjwilkinson83, Robert_Welsh, robosicotte.debug, robtygart, rod260185, rohids, rschiwal, rvalkass, sanikitin, saska.heino, saxon, scully.martin, sebasop, service, sharulriza, shpyra, simonescalco, skildude, solovjevps, soul-searching-sun, spaman, stasnel, ste.petrucci, stevendege, stevepickwell, stewartwatters2010, stream1992, stropeo, suhass92, sumit.kant10, support, sylvainmop, syvie.scherer, telemi, terrorskull, thijs22nospam, timandmoby, timberwolf753, tipus007, tomyguzman, tony.levene, tony.rivaud, tross1980, tsampat, tsiegele, tuxluchs, ubuntuwillem, ucsdboy, ulrich.drescher, utkarsh.kumar, van_ka, vazdautanandrei, vernon.r1, victor0601, vic_higham, vladogrc005, w.whitemouse, wamoo_, wazausky, webmaster, wmousavi, xuxiaojerry, yandex, yasirakel, zoltanpadar
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In: 1.2.3
Attachments: New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi

Description Emmanuel PILLET 2012-01-11 13:02:19 UTC
Application: muon-installer (1.2.1 "Caustic Carrionite")
KDE Platform Version: 4.7.3 (4.7.3) (Compiled from sources)
Qt Version: 4.7.4
Operating System: Linux 3.0.0-14-generic i686
Distribution: Ubuntu 11.10

-- Information about the crash:
- What I was doing when the application crashed:
i was surfing the net with firefox, and using Konsole to search for command help

The crash can be reproduced every time.

-- Backtrace:
Application: Centre de logiciels Muon (muon-installer), signal: Segmentation fault
[Current thread is 1 (Thread 0xb7771930 (LWP 4314))]

Thread 2 (Thread 0xb568bb70 (LWP 4315)):
#0  0x00e41d10 in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0x003037d5 in do_gettime (frac=0xb568b020, sec=0xb568b018) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0x003d64b6 in QTimerInfoList::updateCurrentTime (this=0x911cb44) at kernel/qeventdispatcher_unix.cpp:339
#4  0x003d680a in QTimerInfoList::timerWait (this=0x911cb44, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x003d5053 in timerSourcePrepareHelper (src=<optimized out>, timeout=0xb568b12c) at kernel/qeventdispatcher_glib.cpp:136
#6  0x003d50ed in timerSourcePrepare (source=0x911cb10, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0x050ef88c in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0x050f0637 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0x050f0c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0x003d5b37 in QEventDispatcherGlib::processEvents (this=0x91315d8, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0x003a61dd in QEventLoop::processEvents (this=0xb568b2b0, flags=...) at kernel/qeventloop.cpp:149
#12 0x003a6421 in QEventLoop::exec (this=0xb568b2b0, flags=...) at kernel/qeventloop.cpp:201
#13 0x002a990b in QThread::exec (this=0x8fe6028) at thread/qthread.cpp:498
#14 0x00386e2d in QInotifyFileSystemWatcherEngine::run (this=0x8fe6028) at io/qfilesystemwatcher_inotify.cpp:248
#15 0x002ac7b3 in QThreadPrivate::start (arg=0x8fe6028) at thread/qthread_unix.cpp:331
#16 0x00e29d31 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#17 0x062ef0ce in clone () from /lib/i386-linux-gnu/libc.so.6
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 1 (Thread 0xb7771930 (LWP 4314)):
[KCrash Handler]
#7  0x00300e11 in QtPrivate::QStringList_contains (that=0xbfcb3f74, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfcb3f74) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x90d8d48) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x90d8d48, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfcb4194) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x003adb7d in metacall (argv=0xbfcb4194, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x90d8d48) at kernel/qmetaobject.cpp:237
#12 QMetaObject::metacall (object=0x90d8d48, cl=QMetaObject::InvokeMetaMethod, idx=86, argv=0xbfcb4194) at kernel/qmetaobject.cpp:232
#13 0x003bca6a in QMetaObject::activate (sender=0x9166a60, m=0x8085040, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3278
#14 0x0805de57 in ApplicationBackend::appBackendReady (this=0x9166a60) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/moc_ApplicationBackend.cpp:127
#15 0x0805e1d5 in ApplicationBackend::qt_metacall (this=0x9166a60, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfcb42d8) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/moc_ApplicationBackend.cpp:109
#16 0x003adb7d in metacall (argv=0xbfcb42d8, idx=12, cl=QMetaObject::InvokeMetaMethod, object=0x9166a60) at kernel/qmetaobject.cpp:237
#17 QMetaObject::metacall (object=0x9166a60, cl=QMetaObject::InvokeMetaMethod, idx=12, argv=0xbfcb42d8) at kernel/qmetaobject.cpp:232
#18 0x003bca6a in QMetaObject::activate (sender=0x90d8d48, m=0x80950c0, local_signal_index=0, argv=0xbfcb42d8) at kernel/qobject.cpp:3278
#19 0x00e687c5 in MuonMainWindow::backendReady (this=0x90d8d48, _t1=0x903eac8) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/libmuon/MuonMainWindow.moc:168
#20 0x00e68933 in MuonMainWindow::initObject (this=0x90d8d48) at /build/buildd/muon-1.2.1/libmuon/MuonMainWindow.cpp:79
#21 0x080654fc in ApplicationWindow::initObject (this=0x90d8d48) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:116
#22 0x0806a09f in ApplicationWindow::qt_metacall (this=0x90d8d48, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfcb4404) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:104
#23 0x003adb7d in metacall (argv=0xbfcb4404, idx=77, cl=QMetaObject::InvokeMetaMethod, object=0x90d8d48) at kernel/qmetaobject.cpp:237
#24 QMetaObject::metacall (object=0x90d8d48, cl=QMetaObject::InvokeMetaMethod, idx=77, argv=0xbfcb4404) at kernel/qmetaobject.cpp:232
#25 0x003bca6a in QMetaObject::activate (sender=0x9133dd8, m=0x4dd238, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3278
#26 0x003c4375 in QSingleShotTimer::timeout (this=0x9133dd8) at .moc/release-shared/qtimer.moc:82
#27 0x003c442c in QSingleShotTimer::timerEvent (this=0x9133dd8) at kernel/qtimer.cpp:308
#28 0x003bf994 in QObject::event (this=0x9133dd8, e=0xbfcb47fc) at kernel/qobject.cpp:1181
#29 0x01513d54 in notify_helper (e=0xbfcb47fc, receiver=0x9133dd8, this=0x8fd6ec0) at kernel/qapplication.cpp:4486
#30 QApplicationPrivate::notify_helper (this=0x8fd6ec0, receiver=0x9133dd8, e=0xbfcb47fc) at kernel/qapplication.cpp:4458
#31 0x01519103 in QApplication::notify (this=0xbfcb47fc, receiver=0x9133dd8, e=0xbfcb47fc) at kernel/qapplication.cpp:3886
#32 0x00b9f681 in KApplication::notify (this=0xbfcb4b10, receiver=0x9133dd8, event=0xbfcb47fc) at ../../kdeui/kernel/kapplication.cpp:311
#33 0x003a719e in QCoreApplication::notifyInternal (this=0xbfcb4b10, receiver=0x9133dd8, event=0xbfcb47fc) at kernel/qcoreapplication.cpp:787
#34 0x003d7c10 in sendEvent (event=0xbfcb47fc, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#35 QTimerInfoList::activateTimers (this=0x8fd2e44) at kernel/qeventdispatcher_unix.cpp:603
#36 0x003d5122 in timerSourceDispatch (source=0x8fd2e10) at kernel/qeventdispatcher_glib.cpp:184
#37 0x050f025f in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#38 0x050f0990 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#39 0x050f0c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#40 0x003d5ada in QEventDispatcherGlib::processEvents (this=0x8fb4238, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#41 0x015cbe3a in QGuiEventDispatcherGlib::processEvents (this=0x8fb4238, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#42 0x003a61dd in QEventLoop::processEvents (this=0xbfcb4a74, flags=...) at kernel/qeventloop.cpp:149
#43 0x003a6421 in QEventLoop::exec (this=0xbfcb4a74, flags=...) at kernel/qeventloop.cpp:201
#44 0x003ab19d in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#45 0x015118f4 in QApplication::exec () at kernel/qapplication.cpp:3760
#46 0x0805db86 in main (argc=) at /build/buildd/muon-1.2.1/installer/main.cpp:61

Reported using DrKonqi
Comment 1 Christoph Feck 2012-01-11 13:49:10 UTC
*** Bug 291266 has been marked as a duplicate of this bug. ***
Comment 2 Christoph Feck 2012-01-11 13:51:27 UTC
Thijs, please click on "Reset Assignee to default" when moving bugs.
Comment 3 Loïc Corbasson 2012-01-11 17:19:05 UTC
Created attachment 67706 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

Starting the application. The first view was starting to appear (but still all blank). This is on a netbook, using the netbook plasma shell; a similar version of both the OS and Muon software on a laptop doesn't reproduce the bug. The user starting Muon has a fresh install and no documents nor specific settings in his home directory. The crash is reproduced at each start of Muon.

-- Backtrace (Reduced):
#7  0x006f5e11 in QtPrivate::QStringList_contains (that=0xbfaea034, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfaea034) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x8a4dd00) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x8a4dd00, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfaea254) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x007a2b7d in metacall (argv=0xbfaea254, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x8a4dd00) at kernel/qmetaobject.cpp:237
Comment 4 Loïc Corbasson 2012-01-11 17:26:58 UTC
This happens with 'muon-installer', the "easy" interface to package management; it doesn't appear with 'muon', the classical APT frontend.
Comment 5 Christoph Feck 2012-01-11 21:58:11 UTC
*** Bug 291286 has been marked as a duplicate of this bug. ***
Comment 6 Christoph Feck 2012-01-11 23:25:03 UTC
*** Bug 291317 has been marked as a duplicate of this bug. ***
Comment 7 Christoph Feck 2012-01-11 23:26:33 UTC
This looks like an Ubuntu-specific issue. Did you install a recent update to "qt" or "muon" packages?
Comment 8 Christoph Feck 2012-01-12 03:58:33 UTC
*** Bug 291329 has been marked as a duplicate of this bug. ***
Comment 9 Thijs 2012-01-12 09:40:19 UTC
*** Bug 291339 has been marked as a duplicate of this bug. ***
Comment 10 Thijs 2012-01-12 09:40:40 UTC
*** Bug 291335 has been marked as a duplicate of this bug. ***
Comment 11 Thijs 2012-01-12 12:36:05 UTC
*** Bug 291365 has been marked as a duplicate of this bug. ***
Comment 12 Christoph Feck 2012-01-12 12:36:07 UTC
*** Bug 291353 has been marked as a duplicate of this bug. ***
Comment 13 Christoph Feck 2012-01-12 12:36:28 UTC
*** Bug 291363 has been marked as a duplicate of this bug. ***
Comment 14 Christoph Feck 2012-01-12 12:40:04 UTC
Please report this bug as fast as possible to Ubuntu developers via https://bugs.launchpad.net/

This bug must be caused by a broken update in Ubuntu repositories, because the Muon and Qt version shipped previously with Ubuntu is the same as before, so Ubuntu developers have applied patches to either Muon or Qt that cause this bug.
Comment 15 Thijs 2012-01-12 12:47:07 UTC
I've reported it over here: https://bugs.launchpad.net/ubuntu/+source/muon/+bug/915235
Comment 16 Thijs 2012-01-12 12:50:09 UTC
*** Bug 291368 has been marked as a duplicate of this bug. ***
Comment 17 Thijs 2012-01-12 16:49:05 UTC
*** Bug 291382 has been marked as a duplicate of this bug. ***
Comment 18 Thijs 2012-01-12 17:17:47 UTC
*** Bug 291385 has been marked as a duplicate of this bug. ***
Comment 19 Thijs 2012-01-12 17:18:13 UTC
*** Bug 291384 has been marked as a duplicate of this bug. ***
Comment 20 Thijs 2012-01-12 18:06:50 UTC
*** Bug 291387 has been marked as a duplicate of this bug. ***
Comment 21 Thijs 2012-01-12 19:08:54 UTC
*** Bug 291388 has been marked as a duplicate of this bug. ***
Comment 22 Thijs 2012-01-12 20:28:06 UTC
*** Bug 291393 has been marked as a duplicate of this bug. ***
Comment 23 Steve 2012-01-12 23:00:27 UTC
Created attachment 67761 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

This is a completely new install of Kubuntu with no additional packages installed

-- Backtrace (Reduced):
#7  0xb72c9e11 in QtPrivate::QStringList_contains (that=0xbffab474, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbffab474) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x8b14a38) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x8b14a38, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbffab694) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0xb7376b7d in metacall (argv=0xbffab694, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x8b14a38) at kernel/qmetaobject.cpp:237
Comment 24 Emmanuel PILLET 2012-01-13 07:10:14 UTC
Hello everybody, many thanks for your helps.
But i still have the muon manager crashed, and dont know what to do to fix it.
Pls note that now, all the icons i had on my desktop have been removed from my desktop.
@Christoph Feck : as i configured muon to install automatically new critical updates, yes, i probably install updates, but i dont know wich one.
Brgds,
Emmanuel.
Comment 25 Thijs 2012-01-13 07:21:38 UTC
*** Bug 291394 has been marked as a duplicate of this bug. ***
Comment 26 Thijs 2012-01-13 07:21:55 UTC
*** Bug 291411 has been marked as a duplicate of this bug. ***
Comment 27 Andreas Meier 2012-01-13 08:28:40 UTC
Created attachment 67766 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

Starting Muon, no other application were running.

-- Backtrace (Reduced):
#7  0x006d6e11 in QtPrivate::QStringList_contains (that=0xbf9c2464, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbf9c2464) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x8d44910) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x8d44910, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbf9c2684) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x00783b7d in metacall (argv=0xbf9c2684, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x8d44910) at kernel/qmetaobject.cpp:237
Comment 28 gz 2012-01-13 13:33:18 UTC
Created attachment 67782 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:
hello frienduntu's  --
when i clicked in the icon "software center muon" show me the crashed. it's happened after that formated and installed the kubuntu 11.10 and installed the mozilla firefox

-- Backtrace (Reduced):
#7  0x00628e11 in QtPrivate::QStringList_contains (that=0xbfc0aa64, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfc0aa64) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x9ddf228) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x9ddf228, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfc0ac84) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x006d5b7d in metacall (argv=0xbfc0ac84, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x9ddf228) at kernel/qmetaobject.cpp:237
Comment 29 martin 2012-01-13 15:01:46 UTC
Created attachment 67785 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:Opened muon from k start and it crashes right away even after fresh reboot. this is a new install of kde on a samsung notebook using a usb startupdisk. other programs work ok i get a muon-installer PID: 1792 Signal: Segmentation fault (11) from muon.

-- Backtrace (Reduced):
#7  0x00669e11 in QtPrivate::QStringList_contains (that=0xbf9198d4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbf9198d4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x9604720) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x9604720, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbf919af4) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x00716b7d in metacall (argv=0xbf919af4, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x9604720) at kernel/qmetaobject.cpp:237
Comment 30 Thijs 2012-01-13 15:41:26 UTC
*** Bug 291453 has been marked as a duplicate of this bug. ***
Comment 31 Shobbie 2012-01-13 15:47:37 UTC
Created attachment 67788 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

Muon crashes after start

-- Backtrace (Reduced):
#7  0x00254e11 in QtPrivate::QStringList_contains (that=0xbf9e33b4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbf9e33b4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x8a86b00) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x8a86b00, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbf9e35d4) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x00301b7d in metacall (argv=0xbf9e35d4, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x8a86b00) at kernel/qmetaobject.cpp:237
Comment 32 Thijs 2012-01-13 17:07:34 UTC
*** Bug 291464 has been marked as a duplicate of this bug. ***
Comment 33 Thijs 2012-01-13 17:07:41 UTC
*** Bug 291462 has been marked as a duplicate of this bug. ***
Comment 34 Thijs 2012-01-13 18:21:15 UTC
*** Bug 291467 has been marked as a duplicate of this bug. ***
Comment 35 Pavel 2012-01-13 19:31:25 UTC
Created attachment 67791 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

I'm install Kubuntu 11.10 with updates during installation. After first start Muon software manager appear as blank window and crash. In Konsole "muon" starts synaptic-like application, but not Muon-Manager.

-- Backtrace (Reduced):
#7  0xb72e6e11 in QtPrivate::QStringList_contains (that=0xbfe6f2f4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfe6f2f4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x9d29ae8) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x9d29ae8, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfe6f514) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0xb7393b7d in metacall (argv=0xbfe6f514, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x9d29ae8) at kernel/qmetaobject.cpp:237
Comment 36 Anthm_el 2012-01-13 20:47:10 UTC
Created attachment 67793 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

- Custom settings of the application:

The muon program doesn't work when it its run, it just close every time

-- Backtrace (Reduced):
#7  0x00211e11 in QtPrivate::QStringList_contains (that=0xbf96fdc4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbf96fdc4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x967d128) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x967d128, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbf96ffe4) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x002beb7d in metacall (argv=0xbf96ffe4, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x967d128) at kernel/qmetaobject.cpp:237
Comment 37 Thijs 2012-01-13 21:17:47 UTC
*** Bug 291473 has been marked as a duplicate of this bug. ***
Comment 38 Thijs 2012-01-13 21:18:35 UTC
*** Bug 291472 has been marked as a duplicate of this bug. ***
Comment 39 Thijs 2012-01-13 21:18:45 UTC
*** Bug 291477 has been marked as a duplicate of this bug. ***
Comment 40 jgarfolo 2012-01-13 22:08:31 UTC
Created attachment 67798 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:
Just opening the Muon Software Center, nothing else.

-- Backtrace (Reduced):
#7  0x00d07e11 in QtPrivate::QStringList_contains (that=0xbfc3f584, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfc3f584) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0xa19aea8) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0xa19aea8, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfc3f7a4) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x00db4b7d in metacall (argv=0xbfc3f7a4, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0xa19aea8) at kernel/qmetaobject.cpp:237
Comment 41 Christoph Feck 2012-01-13 23:03:16 UTC
> dont know what to do to fix it.

Check your installation logs, and roll back to previous versions. Or wait for the fix.
Comment 42 Emmanuel PILLET 2012-01-13 23:44:38 UTC
Ok, many thanks for your help.
I will have a look at the next fixes.
Pls consider this ticket as closed.
bye,
Brgds,
Emmanuel
Comment 43 Thijs 2012-01-14 08:59:59 UTC
*** Bug 291482 has been marked as a duplicate of this bug. ***
Comment 44 Thijs 2012-01-14 09:00:22 UTC
*** Bug 291485 has been marked as a duplicate of this bug. ***
Comment 45 Thijs 2012-01-14 09:01:15 UTC
*** Bug 291486 has been marked as a duplicate of this bug. ***
Comment 46 Thijs 2012-01-14 09:01:47 UTC
*** Bug 291489 has been marked as a duplicate of this bug. ***
Comment 47 Thijs 2012-01-14 09:02:33 UTC
*** Bug 291490 has been marked as a duplicate of this bug. ***
Comment 48 Thijs 2012-01-14 09:03:21 UTC
*** Bug 291492 has been marked as a duplicate of this bug. ***
Comment 49 Ignitem 2012-01-14 12:03:41 UTC
Created attachment 67815 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

Crashes everytime on 2 different machines

-- Backtrace (Reduced):
#6  0x00007f6a1c6b1a5e in QtPrivate::QStringList_contains (that=0x7fff1b93a3d0, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff1b93a3d0) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x16989c0) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x16989c0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff1b93a9a0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x1718ba0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff1b93ab00) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 50 Thijs 2012-01-14 16:12:11 UTC
*** Bug 291522 has been marked as a duplicate of this bug. ***
Comment 51 Thijs 2012-01-14 16:12:33 UTC
*** Bug 291520 has been marked as a duplicate of this bug. ***
Comment 52 Thijs 2012-01-14 16:12:45 UTC
*** Bug 291513 has been marked as a duplicate of this bug. ***
Comment 53 Thijs 2012-01-14 16:12:56 UTC
*** Bug 291509 has been marked as a duplicate of this bug. ***
Comment 54 Russell Schiwal 2012-01-14 17:08:02 UTC
Created attachment 67828 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

Doesn't matter what I am doing. Cannot open Muon software center witoout a crash.
Muon package handler still funtional.

-- Backtrace (Reduced):
#6  0x00007f83cab45a5e in QtPrivate::QStringList_contains (that=0x7fff25d00f70, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff25d00f70) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x149d860) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x149d860, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff25d01540) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x1547330, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff25d016a0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 55 hellriderjamis 2012-01-14 17:28:42 UTC
Created attachment 67830 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed: simply tried to open muon softwazre center. Na apps opened at that time.

-- Backtrace (Reduced):
#7  0x00331e11 in QtPrivate::QStringList_contains (that=0xbfc895b4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfc895b4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x892cb90) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x892cb90, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfc897d4) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x003deb7d in metacall (argv=0xbfc897d4, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x892cb90) at kernel/qmetaobject.cpp:237
Comment 56 Jekyll Wu 2012-01-15 02:00:06 UTC
*** Bug 291551 has been marked as a duplicate of this bug. ***
Comment 57 Jekyll Wu 2012-01-15 02:00:34 UTC
*** Bug 291556 has been marked as a duplicate of this bug. ***
Comment 58 Jekyll Wu 2012-01-15 02:00:48 UTC
*** Bug 291558 has been marked as a duplicate of this bug. ***
Comment 59 Jekyll Wu 2012-01-15 02:01:14 UTC
*** Bug 291559 has been marked as a duplicate of this bug. ***
Comment 60 Jekyll Wu 2012-01-15 02:02:57 UTC
*** Bug 291552 has been marked as a duplicate of this bug. ***
Comment 61 Jekyll Wu 2012-01-15 02:03:19 UTC
*** Bug 291553 has been marked as a duplicate of this bug. ***
Comment 62 Jekyll Wu 2012-01-15 02:04:02 UTC
*** Bug 291554 has been marked as a duplicate of this bug. ***
Comment 63 Jekyll Wu 2012-01-15 02:07:14 UTC
*** Bug 291543 has been marked as a duplicate of this bug. ***
Comment 64 Jekyll Wu 2012-01-15 02:48:07 UTC
*** Bug 291525 has been marked as a duplicate of this bug. ***
Comment 65 Jekyll Wu 2012-01-15 11:06:27 UTC
*** Bug 291571 has been marked as a duplicate of this bug. ***
Comment 66 Jekyll Wu 2012-01-15 11:33:23 UTC
*** Bug 291572 has been marked as a duplicate of this bug. ***
Comment 67 Jekyll Wu 2012-01-15 13:38:32 UTC
*** Bug 291580 has been marked as a duplicate of this bug. ***
Comment 68 Jekyll Wu 2012-01-15 13:38:50 UTC
*** Bug 291581 has been marked as a duplicate of this bug. ***
Comment 69 Jekyll Wu 2012-01-15 15:42:26 UTC
*** Bug 291590 has been marked as a duplicate of this bug. ***
Comment 70 Jekyll Wu 2012-01-15 15:42:39 UTC
*** Bug 291588 has been marked as a duplicate of this bug. ***
Comment 71 Jeff Westcott 2012-01-15 16:07:09 UTC
Created attachment 67858 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed: I had firefox open and was wanting to check an item in the software centre, ,even after FF has been closed it still crashes

-- Backtrace (Reduced):
#7  0x007c3e11 in QtPrivate::QStringList_contains (that=0xbff79dd4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbff79dd4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x99cb948) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x99cb948, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbff79ff4) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x00870b7d in metacall (argv=0xbff79ff4, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x99cb948) at kernel/qmetaobject.cpp:237
Comment 72 Jekyll Wu 2012-01-15 16:07:43 UTC
*** Bug 291592 has been marked as a duplicate of this bug. ***
Comment 73 Jekyll Wu 2012-01-15 18:26:33 UTC
*** Bug 291599 has been marked as a duplicate of this bug. ***
Comment 74 Jekyll Wu 2012-01-15 18:54:09 UTC
*** Bug 291602 has been marked as a duplicate of this bug. ***
Comment 75 Jekyll Wu 2012-01-15 19:02:46 UTC
*** Bug 291605 has been marked as a duplicate of this bug. ***
Comment 76 Jekyll Wu 2012-01-16 03:25:18 UTC
*** Bug 291626 has been marked as a duplicate of this bug. ***
Comment 77 Alex 2012-01-16 05:17:39 UTC
Created attachment 67875 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:on the freshly installed distro, the application crashes muon

-- Backtrace (Reduced):
#7  0x00e46e11 in QtPrivate::QStringList_contains (that=0xbf8ab2b4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbf8ab2b4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x869e368) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x869e368, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbf8ab4d4) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x00ef3b7d in metacall (argv=0xbf8ab4d4, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x869e368) at kernel/qmetaobject.cpp:237
Comment 78 constantino 2012-01-16 10:15:20 UTC
Created attachment 67882 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

NOthing no others aplications were running

-- Backtrace (Reduced):
#6  0x00007f10df8d0a5e in QtPrivate::QStringList_contains (that=0x7fff98310240, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff98310240) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x1b4d930) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x1b4d930, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff98310810) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x1c7bfc0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff98310970) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 79 Anne-Marie Mahfouf 2012-01-16 19:47:50 UTC
*** Bug 291683 has been marked as a duplicate of this bug. ***
Comment 80 Anne-Marie Mahfouf 2012-01-16 19:51:24 UTC
*** Bug 291681 has been marked as a duplicate of this bug. ***
Comment 81 Thijs 2012-01-16 21:10:14 UTC
*** Bug 291699 has been marked as a duplicate of this bug. ***
Comment 82 Thijs 2012-01-16 21:10:30 UTC
*** Bug 291692 has been marked as a duplicate of this bug. ***
Comment 83 jerome 2012-01-17 00:02:29 UTC
thanks for your help. but why this bug is closed?
there is a crash everytime whis this soft, only on my laptop,
it works fine on my desktop.
best regards.
jerome
Comment 84 Jekyll Wu 2012-01-17 02:36:16 UTC
*** Bug 291724 has been marked as a duplicate of this bug. ***
Comment 85 Jekyll Wu 2012-01-17 02:39:49 UTC
*** Bug 291723 has been marked as a duplicate of this bug. ***
Comment 86 Jekyll Wu 2012-01-17 02:40:17 UTC
*** Bug 291725 has been marked as a duplicate of this bug. ***
Comment 87 Jekyll Wu 2012-01-17 05:28:20 UTC
*** Bug 291732 has been marked as a duplicate of this bug. ***
Comment 88 Thijs 2012-01-17 09:06:41 UTC
@Jerome: This bug is closed, because it does not seem to be a KDE bug. It appeared without any changes in KDE (including muon, it seems), and only in (K)Ubuntu. Therefore, the real bug is an ubuntu one: https://bugs.launchpad.net/ubuntu/+source/muon/+bug/915235

From a KDE perspective, there is not much we can do about but to acknowledge the bugs existence.
Comment 89 Tony Levene 2012-01-17 11:01:35 UTC
So what do I do now?




Original Message:
-----------------
From: Thijs thijs22nospam@gmail.com
Date: Tue, 17 Jan 2012 09:06:42 +0000
To: tony.levene@tiscali.co.uk
Subject: [Bug 291262] Logitheque Muon issue


https://bugs.kde.org/show_bug.cgi?id=291262





--- Comment #88 from Thijs <thijs22nospam gmail com>  2012-01-17 09:06:41
---
@Jerome: This bug is closed, because it does not seem to be a KDE bug. It
appeared without any changes in KDE (including muon, it seems), and only in
(K)Ubuntu. Therefore, the real bug is an ubuntu one:
https://bugs.launchpad.net/ubuntu/+source/muon/+bug/915235

From a KDE perspective, there is not much we can do about but to acknowledge
the bugs existence.
Comment 90 Tony Levene 2012-01-17 11:03:01 UTC
PS Thanks for your help
Original Message:
-----------------
From: Thijs thijs22nospam@gmail.com
Date: Tue, 17 Jan 2012 09:06:42 +0000
To: tony.levene@tiscali.co.uk
Subject: [Bug 291262] Logitheque Muon issue


https://bugs.kde.org/show_bug.cgi?id=291262





--- Comment #88 from Thijs <thijs22nospam gmail com>  2012-01-17 09:06:41
---
@Jerome: This bug is closed, because it does not seem to be a KDE bug. It
appeared without any changes in KDE (including muon, it seems), and only in
(K)Ubuntu. Therefore, the real bug is an ubuntu one:
https://bugs.launchpad.net/ubuntu/+source/muon/+bug/915235

From a KDE perspective, there is not much we can do about but to acknowledge
the bugs existence.
Comment 91 Jekyll Wu 2012-01-17 12:03:47 UTC
*** Bug 291765 has been marked as a duplicate of this bug. ***
Comment 92 kueche 2012-01-17 12:31:02 UTC
Created attachment 67924 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

Fresh installation of kubuntzu amd64 an a fresh HP635 no aditional software installed.

muon crash on dpkg on first run and update the fresh installation ... i kill muon and do a sudo dpkg --configure -a  ... apt-get update ... apt-get install -f ... no problems diplayed...
from this muon never start again.

-- Backtrace (Reduced):
#6  0x00007f740db0fa5e in QtPrivate::QStringList_contains (that=0x7fff6e996e70, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff6e996e70) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x115fc50) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x115fc50, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff6e997440) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x11e1970, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff6e9975a0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 93 Thijs 2012-01-17 12:34:16 UTC
*** Bug 291761 has been marked as a duplicate of this bug. ***
Comment 94 Jekyll Wu 2012-01-17 13:14:41 UTC
*** Bug 291767 has been marked as a duplicate of this bug. ***
Comment 95 Jekyll Wu 2012-01-17 14:41:44 UTC
*** Bug 291778 has been marked as a duplicate of this bug. ***
Comment 96 Jekyll Wu 2012-01-17 15:17:40 UTC
*** Bug 291782 has been marked as a duplicate of this bug. ***
Comment 97 Jekyll Wu 2012-01-17 15:18:28 UTC
*** Bug 291783 has been marked as a duplicate of this bug. ***
Comment 98 Jekyll Wu 2012-01-17 17:02:51 UTC
*** Bug 291790 has been marked as a duplicate of this bug. ***
Comment 99 Jekyll Wu 2012-01-17 17:22:02 UTC
*** Bug 291793 has been marked as a duplicate of this bug. ***
Comment 100 Jekyll Wu 2012-01-18 00:45:36 UTC
*** Bug 291804 has been marked as a duplicate of this bug. ***
Comment 101 Jekyll Wu 2012-01-18 13:53:51 UTC
*** Bug 291811 has been marked as a duplicate of this bug. ***
Comment 102 Jekyll Wu 2012-01-18 13:54:03 UTC
*** Bug 291852 has been marked as a duplicate of this bug. ***
Comment 103 Jekyll Wu 2012-01-18 14:10:08 UTC
*** Bug 291832 has been marked as a duplicate of this bug. ***
Comment 104 Jekyll Wu 2012-01-18 17:14:22 UTC
*** Bug 291881 has been marked as a duplicate of this bug. ***
Comment 105 ladoleo 2012-01-18 18:31:58 UTC
I don't remember what i add or remove


18 января 2012, 21:14 от Jekyll Wu <adaptee@gmail.com>:
> https://bugs.kde.org/show_bug.cgi?id=291262
> 
> Jekyll Wu <adaptee@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |bo4inskiy@gmail.com
> 
> --- Comment #104 from Jekyll Wu <adaptee gmail com>  2012-01-18 17:14:22 ---
> *** Bug 291881 has been marked as a duplicate of this bug. ***
> 
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 106 Jekyll Wu 2012-01-19 04:35:42 UTC
*** Bug 291920 has been marked as a duplicate of this bug. ***
Comment 107 gv 2012-01-19 14:49:19 UTC
Created attachment 68003 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

Just crashed everytime regardless it was the only application running or not. Can't find /usr/bin/muon-installer even it exists

-- Backtrace (Reduced):
#6  0x00007f9e543c6a5e in QtPrivate::QStringList_contains (that=0x7fffa5d76410, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fffa5d76410) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x8387b0) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x8387b0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffa5d769e0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x8c5790, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffa5d76b40) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 108 webmaster 2012-01-19 17:17:41 UTC
Try thefollowing workaround:
perhaps: "sudo apt-get install libkutils4"
then: in muon-Packetmanger under settings:
      Software-Sources 
        other_Software
        X canonical partner (mark)

then the muon-programmanager will start wihout Problems
-------- Original-Nachricht --------
> Datum: Thu, 19 Jan 2012 14:49:21 +0000
> Von: gv <gaboriron@gmail.com>
> An: webmaster@sqlplus.org
> Betreff: [Bug 291262] Logitheque Muon issue

> https://bugs.kde.org/show_bug.cgi?id=291262
> 
> 
> 
> 
> 
> --- Comment #107 from gv <gaboriron gmail com>  2012-01-19 14:49:19 ---
> Created an attachment (id=68003)
>  --> (http://bugs.kde.org/attachment.cgi?id=68003)
> New crash information added by DrKonqi
> 
> muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3)
> using
> Qt 4.7.4
> 
> - What I was doing when the application crashed:
> 
> Just crashed everytime regardless it was the only application running or
> not.
> Can't find /usr/bin/muon-installer even it exists
> 
> -- Backtrace (Reduced):
> #6  0x00007f9e543c6a5e in QtPrivate::QStringList_contains
> (that=0x7fffa5d76410,
> str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
> #7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=...,
> this=0x7fffa5d76410) at /usr/include/qt4/QtCore/qstringlist.h:171
> #8  ApplicationWindow::populateViews (this=0x8387b0) at
> /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
> #9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x8387b0,
> _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffa5d769e0)
> at
> /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
> [...]
> #11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x8c5790,
> _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffa5d76b40)
> at
> /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
> 
> -- 
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
Comment 109 Thijs 2012-01-19 18:21:05 UTC
*** Bug 291975 has been marked as a duplicate of this bug. ***
Comment 110 FranJPR 2012-01-19 18:58:16 UTC
Created attachment 68016 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

I was browsing folders with dolphin. I opened muon software center and started crashing all the time. I could open muon software center before without any problem.

-- Backtrace (Reduced):
#7  0x00633e11 in QtPrivate::QStringList_contains (that=0xbfe89f44, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfe89f44) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x8389060) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x8389060, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfe8a164) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x006e0b7d in metacall (argv=0xbfe8a164, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x8389060) at kernel/qmetaobject.cpp:237
Comment 111 reederror 2012-01-19 20:23:17 UTC
Created attachment 68021 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:10

I was just opening muon software manager

-- Backtrace (Reduced):
#6  0x00007f9142174a5e in QtPrivate::QStringList_contains (that=0x7fffa5066790, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fffa5066790) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0xa10180) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0xa10180, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffa5066d60) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0xa370c0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffa5066ec0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 112 Jonathan Thomas 2012-01-19 21:48:34 UTC
*** Bug 291994 has been marked as a duplicate of this bug. ***
Comment 113 Jekyll Wu 2012-01-20 01:11:50 UTC
*** Bug 292006 has been marked as a duplicate of this bug. ***
Comment 114 Jekyll Wu 2012-01-20 01:13:20 UTC
*** Bug 291979 has been marked as a duplicate of this bug. ***
Comment 115 Jekyll Wu 2012-01-20 01:13:53 UTC
*** Bug 292000 has been marked as a duplicate of this bug. ***
Comment 116 Jekyll Wu 2012-01-20 01:14:20 UTC
*** Bug 291996 has been marked as a duplicate of this bug. ***
Comment 117 webmaster 2012-01-20 05:26:09 UTC
try the following workaround:
perhaps: "sudo apt-get install libkutils4"
then: in muon-Packetmanger under settings:
      Software-Sources 
        other_Software
        X canonical partner (mark)
then the muon-programmanager will work



-------- Original-Nachricht --------
> Datum: Thu, 19 Jan 2012 21:48:36 +0000
> Von: Jonathan Thomas <echidnaman@kubuntu.org>
> An: webmaster@sqlplus.org
> Betreff: [Bug 291262] Logitheque Muon issue

> https://bugs.kde.org/show_bug.cgi?id=291262
> 
> 
> Jonathan Thomas <echidnaman@kubuntu.org> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |mark.nurse@gmail.com
> 
> 
> 
> 
> --- Comment #112 from Jonathan Thomas <echidnaman kubuntu org>  2012-01-19
> 21:48:34 ---
> *** Bug 291994 has been marked as a duplicate of this bug. ***
> 
> -- 
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
Comment 118 webmaster 2012-01-20 05:43:32 UTC
try the following workaround:
perhaps: "sudo apt-get install libkutils4"
then: in muon-Packetmanger under settings:
      Software-Sources 
        other_Software
        X canonical partner (mark)
then the muon-programmanager will work


-------- Original-Nachricht --------
> Datum: Fri, 20 Jan 2012 01:14:22 +0000
> Von: Jekyll Wu <adaptee@gmail.com>
> An: webmaster@sqlplus.org
> Betreff: [Bug 291262] Logitheque Muon issue

> https://bugs.kde.org/show_bug.cgi?id=291262
> 
> 
> Jekyll Wu <adaptee@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |ka6ope@free.fr
> 
> 
> 
> 
> --- Comment #116 from Jekyll Wu <adaptee gmail com>  2012-01-20 01:14:20
> ---
> *** Bug 291996 has been marked as a duplicate of this bug. ***
> 
> -- 
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
Comment 119 webmaster 2012-01-20 05:52:16 UTC
try the following workaround:

perhaps: "sudo apt-get install libkutils4"
then: in muon-Packetmanger under settings:
      Software-Sources 
        other_Software
        X canonical partner (mark)
then the muon-programmanager will work

for me, this workaround was OK



(In reply to comment #0)
> Application: muon-installer (1.2.1 "Caustic Carrionite")
> KDE Platform Version: 4.7.3 (4.7.3) (Compiled from sources)
> Qt Version: 4.7.4
> Operating System: Linux 3.0.0-14-generic i686
> Distribution: Ubuntu 11.10
> 
> -- Information about the crash:
> - What I was doing when the application crashed:
> i was surfing the net with firefox, and using Konsole to search for command
> help
> 
> The crash can be reproduced every time.
> 
> -- Backtrace:
> Application: Centre de logiciels Muon (muon-installer), signal: Segmentation
> fault
> [Current thread is 1 (Thread 0xb7771930 (LWP 4314))]
> 
> Thread 2 (Thread 0xb568bb70 (LWP 4315)):
> #0  0x00e41d10 in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
> #1  0x003037d5 in do_gettime (frac=0xb568b020, sec=0xb568b018) at
> tools/qelapsedtimer_unix.cpp:123
> #2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
> #3  0x003d64b6 in QTimerInfoList::updateCurrentTime (this=0x911cb44) at
> kernel/qeventdispatcher_unix.cpp:339
> #4  0x003d680a in QTimerInfoList::timerWait (this=0x911cb44, tm=...) at
> kernel/qeventdispatcher_unix.cpp:442
> #5  0x003d5053 in timerSourcePrepareHelper (src=<optimized out>,
> timeout=0xb568b12c) at kernel/qeventdispatcher_glib.cpp:136
> #6  0x003d50ed in timerSourcePrepare (source=0x911cb10, timeout=<optimized
> out>) at kernel/qeventdispatcher_glib.cpp:169
> #7  0x050ef88c in g_main_context_prepare () from
> /lib/i386-linux-gnu/libglib-2.0.so.0
> #8  0x050f0637 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
> #9  0x050f0c2a in g_main_context_iteration () from
> /lib/i386-linux-gnu/libglib-2.0.so.0
> #10 0x003d5b37 in QEventDispatcherGlib::processEvents (this=0x91315d8,
> flags=...) at kernel/qeventdispatcher_glib.cpp:424
> #11 0x003a61dd in QEventLoop::processEvents (this=0xb568b2b0, flags=...) at
> kernel/qeventloop.cpp:149
> #12 0x003a6421 in QEventLoop::exec (this=0xb568b2b0, flags=...) at
> kernel/qeventloop.cpp:201
> #13 0x002a990b in QThread::exec (this=0x8fe6028) at thread/qthread.cpp:498
> #14 0x00386e2d in QInotifyFileSystemWatcherEngine::run (this=0x8fe6028) at
> io/qfilesystemwatcher_inotify.cpp:248
> #15 0x002ac7b3 in QThreadPrivate::start (arg=0x8fe6028) at
> thread/qthread_unix.cpp:331
> #16 0x00e29d31 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
> #17 0x062ef0ce in clone () from /lib/i386-linux-gnu/libc.so.6
> Backtrace stopped: Not enough registers or memory available to unwind further
> 
> Thread 1 (Thread 0xb7771930 (LWP 4314)):
> [KCrash Handler]
> #7  0x00300e11 in QtPrivate::QStringList_contains (that=0xbfcb3f74, str=...,
> cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
> #8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfcb3f74) at
> /usr/include/qt4/QtCore/qstringlist.h:171
> #9  ApplicationWindow::populateViews (this=0x90d8d48) at
> /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
> #10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x90d8d48,
> _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfcb4194) at
> /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
> #11 0x003adb7d in metacall (argv=0xbfcb4194, idx=86,
> cl=QMetaObject::InvokeMetaMethod, object=0x90d8d48) at
> kernel/qmetaobject.cpp:237
> #12 QMetaObject::metacall (object=0x90d8d48, cl=QMetaObject::InvokeMetaMethod,
> idx=86, argv=0xbfcb4194) at kernel/qmetaobject.cpp:232
> #13 0x003bca6a in QMetaObject::activate (sender=0x9166a60, m=0x8085040,
> local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3278
> #14 0x0805de57 in ApplicationBackend::appBackendReady (this=0x9166a60) at
> /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/moc_ApplicationBackend.cpp:127
> #15 0x0805e1d5 in ApplicationBackend::qt_metacall (this=0x9166a60,
> _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfcb42d8) at
> /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/moc_ApplicationBackend.cpp:109
> #16 0x003adb7d in metacall (argv=0xbfcb42d8, idx=12,
> cl=QMetaObject::InvokeMetaMethod, object=0x9166a60) at
> kernel/qmetaobject.cpp:237
> #17 QMetaObject::metacall (object=0x9166a60, cl=QMetaObject::InvokeMetaMethod,
> idx=12, argv=0xbfcb42d8) at kernel/qmetaobject.cpp:232
> #18 0x003bca6a in QMetaObject::activate (sender=0x90d8d48, m=0x80950c0,
> local_signal_index=0, argv=0xbfcb42d8) at kernel/qobject.cpp:3278
> #19 0x00e687c5 in MuonMainWindow::backendReady (this=0x90d8d48, _t1=0x903eac8)
> at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/libmuon/MuonMainWindow.moc:168
> #20 0x00e68933 in MuonMainWindow::initObject (this=0x90d8d48) at
> /build/buildd/muon-1.2.1/libmuon/MuonMainWindow.cpp:79
> #21 0x080654fc in ApplicationWindow::initObject (this=0x90d8d48) at
> /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:116
> #22 0x0806a09f in ApplicationWindow::qt_metacall (this=0x90d8d48,
> _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfcb4404) at
> /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:104
> #23 0x003adb7d in metacall (argv=0xbfcb4404, idx=77,
> cl=QMetaObject::InvokeMetaMethod, object=0x90d8d48) at
> kernel/qmetaobject.cpp:237
> #24 QMetaObject::metacall (object=0x90d8d48, cl=QMetaObject::InvokeMetaMethod,
> idx=77, argv=0xbfcb4404) at kernel/qmetaobject.cpp:232
> #25 0x003bca6a in QMetaObject::activate (sender=0x9133dd8, m=0x4dd238,
> local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3278
> #26 0x003c4375 in QSingleShotTimer::timeout (this=0x9133dd8) at
> .moc/release-shared/qtimer.moc:82
> #27 0x003c442c in QSingleShotTimer::timerEvent (this=0x9133dd8) at
> kernel/qtimer.cpp:308
> #28 0x003bf994 in QObject::event (this=0x9133dd8, e=0xbfcb47fc) at
> kernel/qobject.cpp:1181
> #29 0x01513d54 in notify_helper (e=0xbfcb47fc, receiver=0x9133dd8,
> this=0x8fd6ec0) at kernel/qapplication.cpp:4486
> #30 QApplicationPrivate::notify_helper (this=0x8fd6ec0, receiver=0x9133dd8,
> e=0xbfcb47fc) at kernel/qapplication.cpp:4458
> #31 0x01519103 in QApplication::notify (this=0xbfcb47fc, receiver=0x9133dd8,
> e=0xbfcb47fc) at kernel/qapplication.cpp:3886
> #32 0x00b9f681 in KApplication::notify (this=0xbfcb4b10, receiver=0x9133dd8,
> event=0xbfcb47fc) at ../../kdeui/kernel/kapplication.cpp:311
> #33 0x003a719e in QCoreApplication::notifyInternal (this=0xbfcb4b10,
> receiver=0x9133dd8, event=0xbfcb47fc) at kernel/qcoreapplication.cpp:787
> #34 0x003d7c10 in sendEvent (event=0xbfcb47fc, receiver=<optimized out>) at
> ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
> #35 QTimerInfoList::activateTimers (this=0x8fd2e44) at
> kernel/qeventdispatcher_unix.cpp:603
> #36 0x003d5122 in timerSourceDispatch (source=0x8fd2e10) at
> kernel/qeventdispatcher_glib.cpp:184
> #37 0x050f025f in g_main_context_dispatch () from
> /lib/i386-linux-gnu/libglib-2.0.so.0
> #38 0x050f0990 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
> #39 0x050f0c2a in g_main_context_iteration () from
> /lib/i386-linux-gnu/libglib-2.0.so.0
> #40 0x003d5ada in QEventDispatcherGlib::processEvents (this=0x8fb4238,
> flags=...) at kernel/qeventdispatcher_glib.cpp:422
> #41 0x015cbe3a in QGuiEventDispatcherGlib::processEvents (this=0x8fb4238,
> flags=...) at kernel/qguieventdispatcher_glib.cpp:204
> #42 0x003a61dd in QEventLoop::processEvents (this=0xbfcb4a74, flags=...) at
> kernel/qeventloop.cpp:149
> #43 0x003a6421 in QEventLoop::exec (this=0xbfcb4a74, flags=...) at
> kernel/qeventloop.cpp:201
> #44 0x003ab19d in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
> #45 0x015118f4 in QApplication::exec () at kernel/qapplication.cpp:3760
> #46 0x0805db86 in main (argc=) at
> /build/buildd/muon-1.2.1/installer/main.cpp:61
> 
> Reported using DrKonqi
...
try the following workaround:

perhaps: "sudo apt-get install libkutils4"
then: in muon-Packetmanger under settings:
      Software-Sources 
        other_Software
        X canonical partner (mark)
then the muon-programmanager will work

for me, this workaround was OK
Comment 120 webmaster 2012-01-20 05:55:18 UTC
try the following workaround:

perhaps: "sudo apt-get install libkutils4"
then: in muon-Packetmanger under settings:
      Software-Sources 
        other_Software
        X canonical partner (mark)
then the muon-programmanager will work

for me, this workaround was OK
Comment 121 webmaster 2012-01-20 06:55:12 UTC
try the following WORKAROUND:
perhaps: "sudo apt-get install libkutils4"
then: in muon-Packetmanger under settings:
      Software-Sources 
        other_Software
        X canonical partner (mark)
then the muon-programmanager will work
Comment 122 Tomáš Pavelka 2012-01-20 07:45:33 UTC
Created attachment 68034 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

Started muon-installer and it crashed immediately

-- Backtrace (Reduced):
#7  0x007c0e11 in QtPrivate::QStringList_contains (that=0xbfb03204, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfb03204) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x98d2728) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x98d2728, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfb03424) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x0086db7d in metacall (argv=0xbfb03424, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x98d2728) at kernel/qmetaobject.cpp:237
Comment 123 Thijs 2012-01-20 07:47:40 UTC
*** Bug 292016 has been marked as a duplicate of this bug. ***
Comment 124 Jekyll Wu 2012-01-20 09:39:46 UTC
*** Bug 292023 has been marked as a duplicate of this bug. ***
Comment 125 Jekyll Wu 2012-01-20 10:08:18 UTC
*** Bug 292025 has been marked as a duplicate of this bug. ***
Comment 126 Jekyll Wu 2012-01-20 13:20:49 UTC
*** Bug 292031 has been marked as a duplicate of this bug. ***
Comment 127 Emmanuel PILLET 2012-01-20 14:07:18 UTC
@webmaster-sqlplus.org :

"try the following workaround:

perhaps: "sudo apt-get install libkutils4"
then: in muon-Packetmanger under settings:
      Software-Sources 
        other_Software
        X canonical partner (mark)
then the muon-programmanager will work

for me, this workaround was OK"

It works fine now, many thanks at webmaster@sqlplus.org for your help.
emmanuel
Comment 128 Jonathan Thomas 2012-01-20 15:53:43 UTC
*** Bug 292046 has been marked as a duplicate of this bug. ***
Comment 129 Thijs 2012-01-20 18:44:30 UTC
*** Bug 292054 has been marked as a duplicate of this bug. ***
Comment 130 Jekyll Wu 2012-01-21 02:31:29 UTC
*** Bug 292074 has been marked as a duplicate of this bug. ***
Comment 131 Jekyll Wu 2012-01-21 02:32:21 UTC
*** Bug 292087 has been marked as a duplicate of this bug. ***
Comment 132 Jekyll Wu 2012-01-21 02:32:31 UTC
*** Bug 292078 has been marked as a duplicate of this bug. ***
Comment 133 Jekyll Wu 2012-01-21 06:05:37 UTC
*** Bug 292093 has been marked as a duplicate of this bug. ***
Comment 134 Jekyll Wu 2012-01-21 16:10:39 UTC
*** Bug 292116 has been marked as a duplicate of this bug. ***
Comment 135 Jekyll Wu 2012-01-21 16:52:38 UTC
*** Bug 292123 has been marked as a duplicate of this bug. ***
Comment 136 Jekyll Wu 2012-01-21 16:52:52 UTC
*** Bug 292124 has been marked as a duplicate of this bug. ***
Comment 137 karsten 2012-01-21 18:37:18 UTC
Created attachment 68074 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:when i started the muon installer crashed and show me: muon installer PID: 2478 signal: Segmantation fault(11)

-- Backtrace (Reduced):
#6  0x00007f70190b4a5e in QtPrivate::QStringList_contains (that=0x7fff459c8030, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff459c8030) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x17ddb40) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x17ddb40, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff459c8600) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x180f660, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff459c8760) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 138 Kjell-Magne 2012-01-21 22:38:16 UTC
Created attachment 68078 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

Trying to update kubuntu from MOUNT. It is starting, but it disappears from the screen

-- Backtrace (Reduced):
#7  0x002a8e11 in QtPrivate::QStringList_contains (that=0xbfc04044, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfc04044) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x8a7aac8) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x8a7aac8, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfc04264) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x00355b7d in metacall (argv=0xbfc04264, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x8a7aac8) at kernel/qmetaobject.cpp:237
Comment 139 Jekyll Wu 2012-01-22 01:59:41 UTC
*** Bug 292149 has been marked as a duplicate of this bug. ***
Comment 140 Jekyll Wu 2012-01-22 03:27:23 UTC
*** Bug 292151 has been marked as a duplicate of this bug. ***
Comment 141 Jonathan Thomas 2012-01-22 05:19:35 UTC
*** Bug 292150 has been marked as a duplicate of this bug. ***
Comment 142 Jekyll Wu 2012-01-22 08:51:01 UTC
*** Bug 292167 has been marked as a duplicate of this bug. ***
Comment 143 Jekyll Wu 2012-01-22 10:46:50 UTC
*** Bug 292178 has been marked as a duplicate of this bug. ***
Comment 144 karsten 2012-01-22 18:13:34 UTC
Hallo,

it´s great, thank you for helping

best regards

karsten


-------- Original-Nachricht --------
> Datum: Sun, 22 Jan 2012 05:19:38 +0000
> Von: Jonathan Thomas <echidnaman@kubuntu.org>
> An: karsten2602@gmx.de
> Betreff: [Bug 291262] Logitheque Muon issue

> https://bugs.kde.org/show_bug.cgi?id=291262
> 
> 
> Jonathan Thomas <echidnaman@kubuntu.org> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |galejk@mchsi.com
> 
> 
> 
> 
> --- Comment #141 from Jonathan Thomas <echidnaman kubuntu org>  2012-01-22
> 05:19:35 ---
> *** Bug 292150 has been marked as a duplicate of this bug. ***
> 
> -- 
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
Comment 145 AUDEBERT 2012-01-22 20:05:04 UTC
Created attachment 68095 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:
Je viens juste de finir une nouvelle installation de Kubuntu 11.10 + apt-get upgrade.

-- Backtrace (Reduced):
#6  0x00007fe3e4428a5e in QtPrivate::QStringList_contains (that=0x7fff1fa0d180, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff1fa0d180) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x221f660) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x221f660, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff1fa0d750) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x23dde20, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff1fa0d8b0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 146 Jekyll Wu 2012-01-23 00:26:11 UTC
*** Bug 292237 has been marked as a duplicate of this bug. ***
Comment 147 Jekyll Wu 2012-01-23 02:13:48 UTC
*** Bug 292243 has been marked as a duplicate of this bug. ***
Comment 148 Jekyll Wu 2012-01-23 02:14:00 UTC
*** Bug 292212 has been marked as a duplicate of this bug. ***
Comment 149 karsten 2012-01-23 07:06:14 UTC
Hallo,

thank you very much for help,it goes now

regards karsten

-------- Original-Nachricht --------
> Datum: Mon, 23 Jan 2012 02:14:02 +0000
> Von: Jekyll Wu <adaptee@gmail.com>
> An: karsten2602@gmx.de
> Betreff: [Bug 291262] Logitheque Muon issue

> https://bugs.kde.org/show_bug.cgi?id=291262
> 
> 
> Jekyll Wu <adaptee@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |benny.mueller-gehr@gmx.de
> 
> 
> 
> 
> --- Comment #148 from Jekyll Wu <adaptee gmail com>  2012-01-23 02:14:00
> ---
> *** Bug 292212 has been marked as a duplicate of this bug. ***
> 
> -- 
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
Comment 150 Stewart Watters 2012-01-23 11:23:21 UTC
Created attachment 68112 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed: starting muon then it loaded for short time then closed again i did this a 2nd time.

-- Backtrace (Reduced):
#7  0x004bce11 in QtPrivate::QStringList_contains (that=0xbf954924, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbf954924) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x903eb60) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x903eb60, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbf954b44) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x00569b7d in metacall (argv=0xbf954b44, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x903eb60) at kernel/qmetaobject.cpp:237
Comment 151 Thijs 2012-01-23 11:48:53 UTC
*** Bug 292264 has been marked as a duplicate of this bug. ***
Comment 152 Jekyll Wu 2012-01-23 16:19:45 UTC
*** Bug 292276 has been marked as a duplicate of this bug. ***
Comment 153 Jekyll Wu 2012-01-24 09:34:46 UTC
*** Bug 292311 has been marked as a duplicate of this bug. ***
Comment 154 Jekyll Wu 2012-01-24 12:58:54 UTC
*** Bug 292320 has been marked as a duplicate of this bug. ***
Comment 155 Jekyll Wu 2012-01-24 14:47:08 UTC
*** Bug 292325 has been marked as a duplicate of this bug. ***
Comment 156 chkan_vn 2012-01-24 16:59:18 UTC
hi This,
I've isntalled wine 1.3,
sudo add-apt-repository ppa:ubuntu-wine/ppa
sudo apt-get update
sudo apt-get install wine1.3
and the Muon application works again


> Date: Mon, 23 Jan 2012 11:48:55 +0000
> From: thijs22nospam@gmail.com
> To: van_ka@live.fr
> Subject: [Bug 291262] Logitheque Muon issue
> 
> https://bugs.kde.org/show_bug.cgi?id=291262
> 
> 
> Thijs <thijs22nospam@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |marisebc@gmail.com
> 
> 
> 
> 
> --- Comment #151 from Thijs <thijs22nospam gmail com>  2012-01-23 11:48:53 ---
> *** Bug 292264 has been marked as a duplicate of this bug. ***
> 
> -- 
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
Comment 157 Jekyll Wu 2012-01-24 17:26:37 UTC
*** Bug 292340 has been marked as a duplicate of this bug. ***
Comment 158 ulrich.drescher 2012-01-24 20:33:40 UTC
Created attachment 68147 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:
Starting Muon Software Center the form is loaded and then after 2 seconds Muon crashes.
The crash can be reproduced.

-- Backtrace (Reduced):
#6  0x00007f79e7ce0a5e in QtPrivate::QStringList_contains (that=0x7fffd5e762b0, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fffd5e762b0) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x1e5a9d0) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x1e5a9d0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffd5e76880) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x1efe6e0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffd5e769e0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 159 Jekyll Wu 2012-01-24 21:12:45 UTC
*** Bug 292349 has been marked as a duplicate of this bug. ***
Comment 160 Jekyll Wu 2012-01-25 00:26:02 UTC
*** Bug 292363 has been marked as a duplicate of this bug. ***
Comment 161 Kevin D. Bailey 2012-01-25 07:26:22 UTC
Created attachment 68154 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed: with no other programs running every attempt at starting the program it loads the toolbar and everything else is left blank then a error shows up saying the program crashed.

-- Backtrace (Reduced):
#6  0x00007fc89db94a5e in QtPrivate::QStringList_contains (that=0x7fff4fa55720, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff4fa55720) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x12cfdd0) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x12cfdd0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff4fa55cf0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x14986a0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff4fa55e50) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 162 jujube 2012-01-25 08:07:15 UTC
Created attachment 68156 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed: starting Muon and running Firefox and picking my nose

- Unusual behavior I noticed: my dog was meowing like a cat

- Custom settings of the application: I selected the 'Do not crash on startup" setting.  I'll turn that off and see if it works better that way.

-- Backtrace (Reduced):
#6  0x00007f319714ba5e in QtPrivate::QStringList_contains (that=0x7fffbe028bd0, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fffbe028bd0) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x18eae90) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x18eae90, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffbe0291a0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x19d2610, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffbe029300) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 163 Jekyll Wu 2012-01-25 09:16:58 UTC
*** Bug 292374 has been marked as a duplicate of this bug. ***
Comment 164 chad.aaron.peters 2012-01-25 19:14:52 UTC
Created attachment 68169 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

Crashes when trying to load muon from the desktop.

-- Backtrace (Reduced):
#7  0x00914e11 in QtPrivate::QStringList_contains (that=0xbf86b274, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbf86b274) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x8d78838) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x8d78838, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbf86b494) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x009c1b7d in metacall (argv=0xbf86b494, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x8d78838) at kernel/qmetaobject.cpp:237
Comment 165 Jekyll Wu 2012-01-26 09:07:59 UTC
*** Bug 292443 has been marked as a duplicate of this bug. ***
Comment 166 Jekyll Wu 2012-01-26 10:56:39 UTC
*** Bug 292448 has been marked as a duplicate of this bug. ***
Comment 167 Jekyll Wu 2012-01-26 11:09:56 UTC
*** Bug 292450 has been marked as a duplicate of this bug. ***
Comment 168 Jekyll Wu 2012-01-26 12:46:23 UTC
*** Bug 292456 has been marked as a duplicate of this bug. ***
Comment 169 Jekyll Wu 2012-01-26 12:57:26 UTC
*** Bug 292457 has been marked as a duplicate of this bug. ***
Comment 170 Jekyll Wu 2012-01-26 13:13:37 UTC
*** Bug 292458 has been marked as a duplicate of this bug. ***
Comment 171 Jekyll Wu 2012-01-26 14:20:06 UTC
*** Bug 292464 has been marked as a duplicate of this bug. ***
Comment 172 Christoph Feck 2012-01-26 15:25:42 UTC
*** Bug 292469 has been marked as a duplicate of this bug. ***
Comment 173 Jekyll Wu 2012-01-26 17:55:34 UTC
*** Bug 292487 has been marked as a duplicate of this bug. ***
Comment 174 mla505 2012-01-26 20:08:05 UTC
From the Launchpad bug forum:

Workaround:

 sudo vi /etc/apt/sources.list "or use the text editor of your preference to edit the file"
   uncomment these two lines
   # deb http://archive.canonical.com/ubuntu oneiric partner
   # deb-src http://archive.canonical.com/ubuntu oneiric partner

  sudo dpkg --configure -a
  sudo apt-get update
  sudo update-apt-xapian-index
Comment 175 Jekyll Wu 2012-01-26 21:49:53 UTC
*** Bug 292498 has been marked as a duplicate of this bug. ***
Comment 176 Jekyll Wu 2012-01-26 23:22:01 UTC
*** Bug 292533 has been marked as a duplicate of this bug. ***
Comment 177 Jekyll Wu 2012-01-27 03:29:54 UTC
*** Bug 292545 has been marked as a duplicate of this bug. ***
Comment 178 Jekyll Wu 2012-01-27 10:00:51 UTC
*** Bug 292556 has been marked as a duplicate of this bug. ***
Comment 179 Jekyll Wu 2012-01-27 15:17:11 UTC
*** Bug 292599 has been marked as a duplicate of this bug. ***
Comment 180 Jekyll Wu 2012-01-28 01:16:53 UTC
*** Bug 292641 has been marked as a duplicate of this bug. ***
Comment 181 Jekyll Wu 2012-01-28 03:18:01 UTC
*** Bug 292651 has been marked as a duplicate of this bug. ***
Comment 182 Jekyll Wu 2012-01-28 07:00:47 UTC
*** Bug 292662 has been marked as a duplicate of this bug. ***
Comment 183 Jekyll Wu 2012-01-28 10:19:59 UTC
*** Bug 292671 has been marked as a duplicate of this bug. ***
Comment 184 Jekyll Wu 2012-01-28 23:28:05 UTC
*** Bug 292734 has been marked as a duplicate of this bug. ***
Comment 185 Jekyll Wu 2012-01-29 04:34:36 UTC
*** Bug 292748 has been marked as a duplicate of this bug. ***
Comment 186 Rafael Torres 2012-01-29 04:45:46 UTC
Created attachment 68287 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

first let me say that this happened with a freshly-installed kubuntu system, and I was just updating my system via konsole, then restart the OS to let the changes make effect, and that is all... because I try inmediatly to open the "Muon Software Center" and it doesn't work!!!

-- Backtrace (Reduced):
#7  0x00bdbe11 in QtPrivate::QStringList_contains (that=0xbfb353b4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfb353b4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x94148c8) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x94148c8, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfb355d4) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x00c88b7d in metacall (argv=0xbfb355d4, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x94148c8) at kernel/qmetaobject.cpp:237
Comment 187 Jekyll Wu 2012-01-29 10:24:06 UTC
*** Bug 292769 has been marked as a duplicate of this bug. ***
Comment 188 Jekyll Wu 2012-01-29 13:28:06 UTC
*** Bug 292793 has been marked as a duplicate of this bug. ***
Comment 189 ladoleo 2012-01-29 17:29:36 UTC
Thanks a lot. This instruction solve the problem! This help me.


27 января 2012, 00:08 от <mla505@gmail.com>:
> https://bugs.kde.org/show_bug.cgi?id=291262
> 
> --- Comment #174 from  <mla505 gmail com>  2012-01-26 20:08:05 ---
> From the Launchpad bug forum:
> 
> Workaround:
> 
>  sudo vi /etc/apt/sources.list "or use the text editor of your preference to
> edit the file"
>    uncomment these two lines
>    # deb http://archive.canonical.com/ubuntu oneiric partner
>    # deb-src http://archive.canonical.com/ubuntu oneiric partner
> 
>   sudo dpkg --configure -a
>   sudo apt-get update
>   sudo update-apt-xapian-index
> 
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 190 Jekyll Wu 2012-01-29 19:28:20 UTC
*** Bug 292818 has been marked as a duplicate of this bug. ***
Comment 191 Jekyll Wu 2012-01-30 04:32:52 UTC
*** Bug 292823 has been marked as a duplicate of this bug. ***
Comment 192 odetoyin 2012-01-30 08:51:41 UTC
I have resolve the issue by following one of the posts online. Thanks

--- On Sun, 1/29/12, Jekyll Wu <adaptee@gmail.com> wrote:

From: Jekyll Wu <adaptee@gmail.com>
Subject: [Bug 291262] Logitheque Muon issue
To: odetoyin@yahoo.com
Date: Sunday, January 29, 2012, 4:32 PM

https://bugs.kde.org/show_bug.cgi?id=291262


Jekyll Wu <adaptee@gmail.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |ortegahernandes@yahoo.com.b
                   |                            |r




--- Comment #191 from Jekyll Wu <adaptee gmail com>  2012-01-30 04:32:52 ---
*** Bug 292823 has been marked as a duplicate of this bug. ***
Comment 193 Jekyll Wu 2012-01-30 12:30:34 UTC
*** Bug 292865 has been marked as a duplicate of this bug. ***
Comment 194 Jekyll Wu 2012-01-30 12:44:40 UTC
*** Bug 292868 has been marked as a duplicate of this bug. ***
Comment 195 Jekyll Wu 2012-01-30 15:03:36 UTC
*** Bug 292871 has been marked as a duplicate of this bug. ***
Comment 196 Jekyll Wu 2012-01-30 18:36:38 UTC
*** Bug 292891 has been marked as a duplicate of this bug. ***
Comment 197 minizarbi 2012-01-30 18:52:53 UTC
Created attachment 68344 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

Starting the application with a fresh install of Kubuntu...

-- Backtrace (Reduced):
#7  0x001cfe11 in QtPrivate::QStringList_contains (that=0xbfbd34f4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfbd34f4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x9375aa8) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x9375aa8, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfbd3714) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x0027cb7d in metacall (argv=0xbfbd3714, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x9375aa8) at kernel/qmetaobject.cpp:237
Comment 198 Tony Levene 2012-01-30 20:38:29 UTC
Dear Jekyll,

I get loads of emails about this bug from you and others.
How is the progress on finding a solution/cure/patch?

At the moment, I can't install or uninstall programs.

Please give me hope!!!

Sincerely 

Tony 

PS Some of the emails have what is suggested as a solution. Sadly, I don't 
understand them!





On Monday 30 Jan 2012 04:32:56 Jekyll Wu wrote:
> https://bugs.kde.org/show_bug.cgi?id=291262
> 
> 
> Jekyll Wu <adaptee@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
> CC|                            |ortegahernandes@yahoo.com.b
>                    |                            |r
> 
> --- Comment #191 from Jekyll Wu <adaptee gmail com>  2012-01-30 04:32:52 ---
> *** Bug 292823 has been marked as a duplicate of this bug. ***
Comment 199 Jekyll Wu 2012-01-31 03:56:02 UTC
*** Bug 292920 has been marked as a duplicate of this bug. ***
Comment 200 Jekyll Wu 2012-01-31 03:56:14 UTC
*** Bug 292901 has been marked as a duplicate of this bug. ***
Comment 201 Jekyll Wu 2012-01-31 16:59:50 UTC
*** Bug 292980 has been marked as a duplicate of this bug. ***
Comment 202 Jekyll Wu 2012-01-31 17:25:54 UTC
*** Bug 292984 has been marked as a duplicate of this bug. ***
Comment 203 Jekyll Wu 2012-01-31 18:22:34 UTC
*** Bug 292987 has been marked as a duplicate of this bug. ***
Comment 204 chkan_vn 2012-01-31 21:18:40 UTC
hi,
I've isntalled wine 1.3,


sudo add-apt-repository ppa:ubuntu-wine/ppa


sudo apt-get update


sudo apt-get install wine1.3


and the Muon application works again


> Date: Tue, 31 Jan 2012 18:22:35 +0000
> From: adaptee@gmail.com
> To: van_ka@live.fr
> Subject: [Bug 291262] Logitheque Muon issue
> 
> https://bugs.kde.org/show_bug.cgi?id=291262
> 
> 
> Jekyll Wu <adaptee@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |age_2yk@el-hacker.org
> 
> 
> 
> 
> --- Comment #203 from Jekyll Wu <adaptee gmail com>  2012-01-31 18:22:34 ---
> *** Bug 292987 has been marked as a duplicate of this bug. ***
> 
> -- 
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
Comment 205 Rafał 2012-01-31 23:27:40 UTC
Created attachment 68383 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

Starting the Muon Software Center after fresh installation

-- Backtrace (Reduced):
#6  0x00007f2c0937ca5e in QtPrivate::QStringList_contains (that=0x7fff089a13a0, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff089a13a0) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x22079d0) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x22079d0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff089a1970) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x228ef30, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff089a1ad0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 206 Tony Levene 2012-02-01 00:24:29 UTC
Brilliant.  This seems to have done the trick!!!






On Tuesday 31 Jan 2012 21:18:43 chkan_vn wrote:
> https://bugs.kde.org/show_bug.cgi?id=291262
> 
> 
> 
> 
> 
> --- Comment #204 from chkan_vn <van_ka live fr>  2012-01-31 21:18:40 ---
> hi,
> I've isntalled wine 1.3,
> 
> 
> sudo add-apt-repository ppa:ubuntu-wine/ppa
> 
> 
> sudo apt-get update
> 
> 
> sudo apt-get install wine1.3
> 
> 
> and the Muon application works again
> 
> > Date: Tue, 31 Jan 2012 18:22:35 +0000
> > From: adaptee@gmail.com
> > To: van_ka@live.fr
> > Subject: [Bug 291262] Logitheque Muon issue
> > 
> > https://bugs.kde.org/show_bug.cgi?id=291262
> > 
> > Jekyll Wu <adaptee@gmail.com> changed:
> >            What    |Removed                     |Added
> > 
> > ------------------------------------------------------------------------
> > ----> 
> >                  CC|                           
> >                  |age_2yk@el-hacker.org
> > 
> > --- Comment #203 from Jekyll Wu <adaptee gmail com>  2012-01-31 18:22:34
> > --- *** Bug 292987 has been marked as a duplicate of this bug. ***
Comment 207 Jekyll Wu 2012-02-01 02:38:26 UTC
*** Bug 293015 has been marked as a duplicate of this bug. ***
Comment 208 Jekyll Wu 2012-02-01 08:55:31 UTC
*** Bug 293021 has been marked as a duplicate of this bug. ***
Comment 209 Jekyll Wu 2012-02-01 09:04:15 UTC
*** Bug 293027 has been marked as a duplicate of this bug. ***
Comment 210 Jekyll Wu 2012-02-01 12:24:59 UTC
*** Bug 293037 has been marked as a duplicate of this bug. ***
Comment 211 andy 2012-02-01 23:14:16 UTC
Created attachment 68417 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crash   just surfing..muon crashes all the time

-- Backtrace (Reduced):
#7  0xb71dbe11 in QtPrivate::QStringList_contains (that=0xbfa3b9c4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfa3b9c4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x92a3108) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x92a3108, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfa3bbe4) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0xb7288b7d in metacall (argv=0xbfa3bbe4, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x92a3108) at kernel/qmetaobject.cpp:237
Comment 212 Jekyll Wu 2012-02-02 05:48:25 UTC
*** Bug 293071 has been marked as a duplicate of this bug. ***
Comment 213 Jekyll Wu 2012-02-02 05:52:36 UTC
*** Bug 293080 has been marked as a duplicate of this bug. ***
Comment 214 Jekyll Wu 2012-02-02 05:53:58 UTC
*** Bug 293113 has been marked as a duplicate of this bug. ***
Comment 215 Jekyll Wu 2012-02-02 06:05:59 UTC
*** Bug 293102 has been marked as a duplicate of this bug. ***
Comment 216 Jekyll Wu 2012-02-02 07:37:53 UTC
*** Bug 293118 has been marked as a duplicate of this bug. ***
Comment 217 Jekyll Wu 2012-02-02 15:58:14 UTC
*** Bug 293153 has been marked as a duplicate of this bug. ***
Comment 218 Jekyll Wu 2012-02-03 02:36:13 UTC
*** Bug 293170 has been marked as a duplicate of this bug. ***
Comment 219 jkd 2012-02-03 08:44:35 UTC
Created attachment 68457 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed: No other programs  were running. Called up Muon Software Center - it crashed.

-- Backtrace (Reduced):
#6  0x00007f6170a1aa5e in QtPrivate::QStringList_contains (that=0x7fff655481e0, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff655481e0) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x1dee480) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x1dee480, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff655487b0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x1e8fdb0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff65548910) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 220 Tony Levene 2012-02-03 16:30:55 UTC
Muon does not crash since I tried a "fix" involving Wine 1.3.

However, it refuses to work as it keeps saying I have another package manager 
open.,  I don't think I do




On Friday 03 Feb 2012 02:36:17 Jekyll Wu wrote:
> https://bugs.kde.org/show_bug.cgi?id=291262
> 
> 
> Jekyll Wu <adaptee@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
> CC|                            |vernon.r1@gmail.com
> 
> 
> 
> 
> --- Comment #218 from Jekyll Wu <adaptee gmail com>  2012-02-03 02:36:13 ---
> *** Bug 293170 has been marked as a duplicate of this bug. ***
Comment 221 Tony Levene 2012-02-03 16:32:20 UTC
And all the notifications I get - updates, Kmail successfully sent now come in 
threes!

What is going on???



On Friday 03 Feb 2012 02:36:17 Jekyll Wu wrote:
> https://bugs.kde.org/show_bug.cgi?id=291262
> 
> 
> Jekyll Wu <adaptee@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
> CC|                            |vernon.r1@gmail.com
> 
> 
> 
> 
> --- Comment #218 from Jekyll Wu <adaptee gmail com>  2012-02-03 02:36:13 ---
> *** Bug 293170 has been marked as a duplicate of this bug. ***
Comment 222 hvold 2012-02-03 17:19:36 UTC
Created attachment 68469 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:Starting the application from a newly booted system

-- Backtrace (Reduced):
#6  0x00007f960dc35a5e in QtPrivate::QStringList_contains (that=0x7fffa7008b10, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fffa7008b10) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0xfe8b80) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0xfe8b80, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffa70090e0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x10716a0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffa7009240) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 223 Jekyll Wu 2012-02-03 17:30:39 UTC
*** Bug 293221 has been marked as a duplicate of this bug. ***
Comment 224 marian 2012-02-03 18:07:17 UTC
Created attachment 68470 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:
nothing, just waiting for Software Center to open. But it crashes every time, i try to open it. Even after a fresh restart.

-- Backtrace (Reduced):
#6  0x00007f221c1aca5e in QtPrivate::QStringList_contains (that=0x7fffd92f24d0, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fffd92f24d0) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0xcacea0) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0xcacea0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffd92f2aa0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0xd4e7f0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffd92f2c00) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 225 webmaster 2012-02-03 19:21:21 UTC
try the following workaround:
   in muon-packagemanger under settings:
      Software-Sources
        other_Software
        "X" canonical partner (mark)
then the muon-programmanager will work again

in addition do this:
# sudo dpkg --configure -a && sudo apt-get -f install



On 26.01.2012 21:08, ???@????? wrote:
https://bugs.kde.org/show_bug.cgi?id=291262



--- Comment #174 from<mla505 ?????>   2012-01-26 20:08:05 ---
  From the Launchpad bug forum:

Workaround:

   sudo vi /etc/apt/sources.list "or use the text editor of your 
preference to
edit the file"
     uncomment these two lines
     # deb http://archive.canonical.com/ubuntu oneiric partner
     # deb-src http://archive.canonical.com/ubuntu oneiric partner

    sudo dpkg --configure -a
    sudo apt-get update
    sudo update-apt-xapian-index
Comment 226 Jekyll Wu 2012-02-04 02:58:35 UTC
*** Bug 293256 has been marked as a duplicate of this bug. ***
Comment 227 Jekyll Wu 2012-02-04 02:59:15 UTC
*** Bug 293222 has been marked as a duplicate of this bug. ***
Comment 228 Jekyll Wu 2012-02-04 03:33:06 UTC
*** Bug 293245 has been marked as a duplicate of this bug. ***
Comment 229 Jekyll Wu 2012-02-04 03:33:14 UTC
*** Bug 293238 has been marked as a duplicate of this bug. ***
Comment 230 durham_harry 2012-02-04 13:06:21 UTC
Hello
I went through the above work-a-rounds and can get into Muon, however, when I try to add a program the authorisation request never comes on so I can't add or remove software.
Comment 231 FranJPR 2012-02-04 15:21:29 UTC
Comment 225 worked for me.
Comment 232 alex amado 2012-02-04 15:51:28 UTC
Created attachment 68488 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

- Custom settings of the application:

no he podido instalar nada por que me dice que tiene un error por que no incuentra 

E: No se pudo abrir el archivo de bloqueo «/var/lib/dpkg/lock» - open (13: Permiso denegado)


E: No se encontró un archivo de réplica «/var/lib/dpkg/»
 
por favor ayudarme  espero repuesta

-- Backtrace (Reduced):
#7  0x0070de11 in QtPrivate::QStringList_contains (that=0xbfed0624, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfed0624) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x864b4c0) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x864b4c0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfed0844) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x007bab7d in metacall (argv=0xbfed0844, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x864b4c0) at kernel/qmetaobject.cpp:237
Comment 233 Jekyll Wu 2012-02-04 16:19:17 UTC
*** Bug 293300 has been marked as a duplicate of this bug. ***
Comment 234 Jekyll Wu 2012-02-04 16:19:34 UTC
*** Bug 293305 has been marked as a duplicate of this bug. ***
Comment 235 Vic 2012-02-04 20:23:07 UTC
Sorted now, re installed kubuntu and made some alterations in the package manager software preference as sugested, many thanks.

> Date: Sat, 4 Feb 2012 16:19:21 +0000
> From: adaptee@gmail.com
> To: vic_higham@hotmail.com
> Subject: [Bug 291262] Logitheque Muon issue
> 
> https://bugs.kde.org/show_bug.cgi?id=291262
> 
> 
> Jekyll Wu <adaptee@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |mvenkatesancse@hotmail.com
> 
> 
> 
> 
> --- Comment #233 from Jekyll Wu <adaptee gmail com>  2012-02-04 16:19:17 ---
> *** Bug 293300 has been marked as a duplicate of this bug. ***
> 
> -- 
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
Comment 236 Jekyll Wu 2012-02-04 21:17:29 UTC
*** Bug 293322 has been marked as a duplicate of this bug. ***
Comment 237 Jekyll Wu 2012-02-05 04:06:45 UTC
*** Bug 293341 has been marked as a duplicate of this bug. ***
Comment 238 Jekyll Wu 2012-02-05 04:09:23 UTC
*** Bug 293328 has been marked as a duplicate of this bug. ***
Comment 239 Bernard 2012-02-05 07:22:47 UTC
Created attachment 68517 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed: Nothing, Muon is the first app that I started in session.

-- Backtrace (Reduced):
#6  0x00007f409cc4ba5e in QtPrivate::QStringList_contains (that=0x7fff81cdd070, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff81cdd070) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x961d30) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x961d30, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff81cdd640) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x941080, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff81cdd7a0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 240 Jekyll Wu 2012-02-05 10:20:51 UTC
*** Bug 293349 has been marked as a duplicate of this bug. ***
Comment 241 Hugi 2012-02-05 10:40:13 UTC
It works! Thank you.
I did as describe in comment #225.
But Muon must be running... So you can start the program without crash in console mode.
konsole => Muon.
press Return...
Comment 242 genin100 2012-02-05 11:08:53 UTC
Workaround:

   sudo vi /etc/apt/sources.list "or use the text editor of your 
preference to
edit the file"
     uncomment these two lines
     # deb http://archive.canonical.com/ubuntu oneiric partner
     # deb-src http://archive.canonical.com/ubuntu oneiric partner

    sudo dpkg --configure -a
    sudo apt-get update
    sudo update-apt-xapian-index

Here solve ...
Comment 243 andré gomez 2012-02-05 12:27:53 UTC
The following Workaround worked to my case:

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

 sudo vi /etc/apt/sources.list "or use the text editor of your preference to
edit the file"
   uncomment these two lines
   # deb http://archive.canonical.com/ubuntu oneiric partner
   # deb-src http://archive.canonical.com/ubuntu oneiric partner

  sudo dpkg --configure -a
  sudo apt-get update
  sudo update-apt-xapian-index

++++++++++++++++++++++++++++++++++++++++++++++++++++++

Thanks! :)
Comment 244 Jekyll Wu 2012-02-05 14:19:42 UTC
*** Bug 293364 has been marked as a duplicate of this bug. ***
Comment 245 Jonathan Thomas 2012-02-05 14:39:42 UTC
Git commit 93e577600d78530b3df7c38f935d82d72afe2d88 by Jonathan Thomas.
Committed on 05/02/2012 at 15:37.
Pushed by jmthomas into branch '1.2'.

Do not used numeric indexed addressing without size checks.

Fixes a crash when the partner repository is disabled and software origins are sorted
into past the end of the origins list.
FIXED-IN:1.2.3

M  +10   -6    installer/ApplicationWindow.cpp

http://commits.kde.org/muon/93e577600d78530b3df7c38f935d82d72afe2d88
Comment 246 Jekyll Wu 2012-02-05 16:19:58 UTC
*** Bug 293372 has been marked as a duplicate of this bug. ***
Comment 247 Jekyll Wu 2012-02-05 16:24:09 UTC
*** Bug 293373 has been marked as a duplicate of this bug. ***
Comment 248 Jekyll Wu 2012-02-06 04:50:02 UTC
*** Bug 293400 has been marked as a duplicate of this bug. ***
Comment 249 Jekyll Wu 2012-02-06 04:50:39 UTC
*** Bug 293401 has been marked as a duplicate of this bug. ***
Comment 250 Jekyll Wu 2012-02-06 09:32:43 UTC
*** Bug 293422 has been marked as a duplicate of this bug. ***
Comment 251 Jekyll Wu 2012-02-06 14:40:35 UTC
*** Bug 293451 has been marked as a duplicate of this bug. ***
Comment 252 Bernard 2012-02-06 18:25:55 UTC
(In reply to comment #174)
> From the Launchpad bug forum:
> 
> Workaround:
> 
>  sudo vi /etc/apt/sources.list "or use the text editor of your preference to
> edit the file"
>    uncomment these two lines
>    # deb http://archive.canonical.com/ubuntu oneiric partner
>    # deb-src http://archive.canonical.com/ubuntu oneiric partner
> 
>   sudo dpkg --configure -a
>   sudo apt-get update
>   sudo update-apt-xapian-index

This worked for me, thanks!
Comment 253 stropeo 2012-02-06 19:15:17 UTC
> https://bugs.kde.org/show_bug.cgi?id=291262
>
>
>
>
>
> --- Comment #242 from genin100 <genin100 gmail com>  2012-02-05 11:08:53 ---
 Workaround:

    sudo vi /etc/apt/sources.list "or use the text editor of your
 preference to
 edit the file"
      uncomment these two lines
      # deb http://archive.canonical.com/ubuntu oneiric partner
      # deb-src http://archive.canonical.com/ubuntu oneiric partner

     sudo dpkg --configure -a
     sudo apt-get update
    sudo update-apt-xapian-index

 Here solve ...

THANKS THANKS THANKS THANKS


> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 254 Bill Alexander 2012-02-06 19:43:19 UTC
Thanks


Thanks for that. Problem solved and I learned a lot at the same time.

> https://bugs.kde.org/show_bug.cgi?id=291262
>
>
>
>
>
> --- Comment #253 from<stropeo libero it>   2012-02-06 19:15:17 ---
>> https://bugs.kde.org/show_bug.cgi?id=291262
>>
>>
>>
>>
>>
>> --- Comment #242 from genin100<genin100 gmail com>   2012-02-05 11:08:53 ---
>   Workaround:
>
>      sudo vi /etc/apt/sources.list "or use the text editor of your
>   preference to
>   edit the file"
>        uncomment these two lines
>        # deb http://archive.canonical.com/ubuntu oneiric partner
>        # deb-src http://archive.canonical.com/ubuntu oneiric partner
>
>       sudo dpkg --configure -a
>       sudo apt-get update
>      sudo update-apt-xapian-index
>
>   Here solve ...
>
> THANKS THANKS THANKS THANKS
>
>
>> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
>> ------- You are receiving this mail because: -------
>> You are on the CC list for the bug.
>>
Comment 255 Jekyll Wu 2012-02-07 05:58:59 UTC
*** Bug 293503 has been marked as a duplicate of this bug. ***
Comment 256 Jekyll Wu 2012-02-07 09:46:35 UTC
*** Bug 293513 has been marked as a duplicate of this bug. ***
Comment 257 Jekyll Wu 2012-02-07 14:50:33 UTC
*** Bug 293532 has been marked as a duplicate of this bug. ***
Comment 258 Jekyll Wu 2012-02-07 19:31:01 UTC
*** Bug 293554 has been marked as a duplicate of this bug. ***
Comment 259 Jekyll Wu 2012-02-08 05:38:14 UTC
*** Bug 293597 has been marked as a duplicate of this bug. ***
Comment 260 Jekyll Wu 2012-02-08 05:38:28 UTC
*** Bug 293593 has been marked as a duplicate of this bug. ***
Comment 261 andré gomez 2012-02-08 13:25:22 UTC
Hello, Mr. Wu!

Please, I ask you to take off this email list, because I'm just a user of
Kubuntu, not a programmer.
Thank you very much for your atention!
This comunity is very important to make linux more efficient and popular.

See ya!

André Gomez - Brazil


2012/2/8 Jekyll Wu <adaptee@gmail.com>

> https://bugs.kde.org/show_bug.cgi?id=291262
>
>
>
>
>
> --- Comment #260 from Jekyll Wu <adaptee gmail com>  2012-02-08 05:38:28
> ---
> *** Bug 293593 has been marked as a duplicate of this bug. ***
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 262 Jekyll Wu 2012-02-08 14:46:52 UTC
*** Bug 293629 has been marked as a duplicate of this bug. ***
Comment 263 Jekyll Wu 2012-02-08 14:56:24 UTC
*** Bug 293642 has been marked as a duplicate of this bug. ***
Comment 264 Jekyll Wu 2012-02-08 20:10:07 UTC
*** Bug 293673 has been marked as a duplicate of this bug. ***
Comment 265 Jekyll Wu 2012-02-08 21:39:24 UTC
*** Bug 293674 has been marked as a duplicate of this bug. ***
Comment 266 Jekyll Wu 2012-02-09 07:18:12 UTC
*** Bug 293690 has been marked as a duplicate of this bug. ***
Comment 267 Jekyll Wu 2012-02-10 04:21:00 UTC
*** Bug 293747 has been marked as a duplicate of this bug. ***
Comment 268 Jekyll Wu 2012-02-10 04:21:09 UTC
*** Bug 293752 has been marked as a duplicate of this bug. ***
Comment 269 Jekyll Wu 2012-02-10 12:59:34 UTC
*** Bug 293772 has been marked as a duplicate of this bug. ***
Comment 270 Jekyll Wu 2012-02-10 20:03:30 UTC
*** Bug 293796 has been marked as a duplicate of this bug. ***
Comment 271 Jekyll Wu 2012-02-10 20:04:01 UTC
*** Bug 293798 has been marked as a duplicate of this bug. ***
Comment 272 Jekyll Wu 2012-02-10 21:29:47 UTC
*** Bug 293809 has been marked as a duplicate of this bug. ***
Comment 273 Jekyll Wu 2012-02-11 05:17:41 UTC
*** Bug 293821 has been marked as a duplicate of this bug. ***
Comment 274 Krzysztof 2012-02-11 19:02:15 UTC
Created attachment 68708 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:
I instaled all typical update. And now is not work.

-- Backtrace (Reduced):
#6  0x00007f7a45f56a5e in QtPrivate::QStringList_contains (that=0x7fff3edea760, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff3edea760) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x10d69d0) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x10d69d0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff3edead30) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x10df1d0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff3edeae90) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 275 bochal 2012-02-12 13:06:59 UTC
Created attachment 68728 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

Muon ALWAYS crashes at start-up from Kickoff

-- Backtrace (Reduced):
#7  0x0077ee11 in QtPrivate::QStringList_contains (that=0xbfc118c4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfc118c4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x8212110) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x8212110, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfc11ae4) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x0082bb7d in metacall (argv=0xbfc11ae4, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x8212110) at kernel/qmetaobject.cpp:237
Comment 276 Jekyll Wu 2012-02-12 13:28:43 UTC
*** Bug 293896 has been marked as a duplicate of this bug. ***
Comment 277 Jekyll Wu 2012-02-12 15:20:46 UTC
*** Bug 293904 has been marked as a duplicate of this bug. ***
Comment 278 Jekyll Wu 2012-02-12 17:14:14 UTC
*** Bug 293911 has been marked as a duplicate of this bug. ***
Comment 279 Jekyll Wu 2012-02-12 17:14:25 UTC
*** Bug 293910 has been marked as a duplicate of this bug. ***
Comment 280 Jekyll Wu 2012-02-12 21:22:15 UTC
*** Bug 293938 has been marked as a duplicate of this bug. ***
Comment 281 Jekyll Wu 2012-02-12 22:03:12 UTC
*** Bug 293940 has been marked as a duplicate of this bug. ***
Comment 282 Steven 2012-02-12 23:53:51 UTC
Created attachment 68739 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

Well like all the rest I was just doing normal everyday stuff. The app crashes on startup, Fresh install of Kubuntu.

-Steven

-- Backtrace (Reduced):
#6  0x00007fd888dbfa5e in QtPrivate::QStringList_contains (that=0x7fff04b12830, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff04b12830) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x1223640) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x1223640, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff04b12e00) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x12c4a50, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff04b12f60) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 283 mbeltov 2012-02-13 20:19:09 UTC
Created attachment 68774 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

started the application from the k menu and then it crashed

-- Backtrace (Reduced):
#7  0x0049ce11 in QtPrivate::QStringList_contains (that=0xbfde79f4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfde79f4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0xa108530) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0xa108530, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfde7c14) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x00549b7d in metacall (argv=0xbfde7c14, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0xa108530) at kernel/qmetaobject.cpp:237
Comment 284 Jekyll Wu 2012-02-13 22:02:26 UTC
*** Bug 294023 has been marked as a duplicate of this bug. ***
Comment 285 Jekyll Wu 2012-02-13 22:03:11 UTC
*** Bug 294024 has been marked as a duplicate of this bug. ***
Comment 286 Jekyll Wu 2012-02-14 13:41:19 UTC
*** Bug 294068 has been marked as a duplicate of this bug. ***
Comment 287 Jekyll Wu 2012-02-14 21:08:08 UTC
*** Bug 294101 has been marked as a duplicate of this bug. ***
Comment 288 Jekyll Wu 2012-02-14 21:54:39 UTC
*** Bug 294106 has been marked as a duplicate of this bug. ***
Comment 289 Jekyll Wu 2012-02-15 14:14:29 UTC
*** Bug 294150 has been marked as a duplicate of this bug. ***
Comment 290 Jekyll Wu 2012-02-15 14:40:45 UTC
*** Bug 294153 has been marked as a duplicate of this bug. ***
Comment 291 Jekyll Wu 2012-02-15 15:38:33 UTC
*** Bug 294155 has been marked as a duplicate of this bug. ***
Comment 292 Jekyll Wu 2012-02-15 19:54:35 UTC
*** Bug 294180 has been marked as a duplicate of this bug. ***
Comment 293 Jekyll Wu 2012-02-15 19:54:47 UTC
*** Bug 294179 has been marked as a duplicate of this bug. ***
Comment 294 Jekyll Wu 2012-02-15 19:55:28 UTC
*** Bug 294181 has been marked as a duplicate of this bug. ***
Comment 295 Andreas Kaschke 2012-02-15 20:50:13 UTC
Created attachment 68831 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

fresh installation of kubuntu 11.10
after installation run updates via shel (apt-get upgrade ...)
tried to use muon afterwards - crashes every time

-- Backtrace (Reduced):
#6  0x00007fcca7357a5e in QtPrivate::QStringList_contains (that=0x7fff3fccf670, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff3fccf670) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x2567ce0) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x2567ce0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff3fccfc40) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x2425a00, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff3fccfda0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 296 Jekyll Wu 2012-02-15 23:44:11 UTC
*** Bug 294193 has been marked as a duplicate of this bug. ***
Comment 297 Jekyll Wu 2012-02-15 23:44:22 UTC
*** Bug 294194 has been marked as a duplicate of this bug. ***
Comment 298 Jekyll Wu 2012-02-16 06:22:35 UTC
*** Bug 294202 has been marked as a duplicate of this bug. ***
Comment 299 Jekyll Wu 2012-02-18 01:10:03 UTC
*** Bug 294328 has been marked as a duplicate of this bug. ***
Comment 300 Jekyll Wu 2012-02-18 08:53:17 UTC
*** Bug 294341 has been marked as a duplicate of this bug. ***
Comment 301 Jekyll Wu 2012-02-18 14:38:52 UTC
*** Bug 294363 has been marked as a duplicate of this bug. ***
Comment 302 Andrei Vazdautan 2012-02-18 14:46:52 UTC
Created attachment 68903 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:
I installed Kubuntu. Right after installation i updated. And i was never able to launch the Software Manager.

-- Backtrace (Reduced):
#7  0x004cde11 in QtPrivate::QStringList_contains (that=0xbf8df9b4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbf8df9b4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x90c16b8) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x90c16b8, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbf8dfbd4) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x0057ab7d in metacall (argv=0xbf8dfbd4, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x90c16b8) at kernel/qmetaobject.cpp:237
Comment 303 Jekyll Wu 2012-02-18 23:44:34 UTC
*** Bug 294395 has been marked as a duplicate of this bug. ***
Comment 304 Jekyll Wu 2012-02-18 23:44:59 UTC
*** Bug 294394 has been marked as a duplicate of this bug. ***
Comment 305 Alberto 2012-02-19 05:37:14 UTC
Created attachment 68917 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:
al tratar de abrir la aplicacion inmediatamente se cierra

-- Backtrace (Reduced):
#7  0x01037e11 in QtPrivate::QStringList_contains (that=0xbf8f2584, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbf8f2584) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0xa102c88) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0xa102c88, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbf8f27a4) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x010e4b7d in metacall (argv=0xbf8f27a4, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0xa102c88) at kernel/qmetaobject.cpp:237
Comment 306 Jekyll Wu 2012-02-19 05:57:06 UTC
*** Bug 294404 has been marked as a duplicate of this bug. ***
Comment 307 Jekyll Wu 2012-02-19 06:29:28 UTC
*** Bug 294405 has been marked as a duplicate of this bug. ***
Comment 308 Jekyll Wu 2012-02-19 11:16:35 UTC
*** Bug 294414 has been marked as a duplicate of this bug. ***
Comment 309 Jekyll Wu 2012-02-19 17:57:11 UTC
*** Bug 294431 has been marked as a duplicate of this bug. ***
Comment 310 Jekyll Wu 2012-02-19 18:51:23 UTC
*** Bug 294433 has been marked as a duplicate of this bug. ***
Comment 311 Jekyll Wu 2012-02-20 09:14:01 UTC
*** Bug 294456 has been marked as a duplicate of this bug. ***
Comment 312 Jekyll Wu 2012-02-20 11:41:14 UTC
*** Bug 294484 has been marked as a duplicate of this bug. ***
Comment 313 Phoenix.l7766 2012-02-20 15:00:45 UTC
(In reply to comment #310)
> *** Bug 294433 has been marked as a duplicate of this bug. ***

Résolution en français :

Il faut éditer le fichier "/etc/apt/sources.list". Attention comme son utilisateur est root, vous ne pouvez pas enregistrer la modification.

modifier l'utilisateur comme suit :
(l'utilisateur c'est votre nom figurant en bas de la Konsole)

1. ouvrir la Konsole et taper :
   sudo chown utilisateur /etc/apt/sources.list
   sudo chown utilisateur /etc/apt
   sudo chown utilisateur /etc

2. enlever le "# " devant les deux lignes suivantes :
   # deb http://archive.canonical.com/ubuntu oneiric partner
   # deb-src http://archive.canonical.com/ubuntu oneiric partner

3. enregistrer le fichier

4. tapez dans la konsole :
   sudo dpkg --configure -a
   sudo apt-get update
   sudo update-apt-xapian-index

5. remettre les fichiers en droits root
   sudo chown root /etc/apt/sources.list
   sudo chown root /etc/apt
   sudo chown root /etc/

Vous n'avez plus qu'à lancer la logithèque Muon
PS: ne remettez pas les # après manipulation, sous peine de revoir la logithèque planter.

Merci à Jekkyl Wu qui m'a orienté sur ce bug
Merci à la personne ayant répondu au commentaire 174 et donné les lignes de codes
Comment 314 Arthur 2012-02-20 23:09:13 UTC
Created attachment 68971 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- Custom settings of the application:
Le problème serait lié au fait que l'on ait une autre activité, surement internet.

-- Backtrace (Reduced):
#6  0x00007f26c4b11a5e in QtPrivate::QStringList_contains (that=0x7fff93190fe0, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff93190fe0) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x1ff9ae0) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x1ff9ae0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff931915b0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x1ff66a0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff93191710) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 315 James 2012-02-21 06:53:56 UTC
Created attachment 68974 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:
	Very similar to Report 92. However, I was doing a fresh install on an HP laptop (ze5500 with aP4) with no extra software. After running update from a Kubuntu 10.04 CD I proceeded upgrading from Natty to Oneiric. From the console login using (sudo apt-get upgrade) it stalled. 
	I powered down rebooted and i ran sudo dpkg --configure -a and sudo apt-get -f from Konsole on KDM. I ran the upgrade from the gui and used Kpakagekit. Other programs seem work, but Muon never did start fully. Only the frame but never the contents show up a few seconds before crashing.
	 KDE Platform came with Kubuntu LiveCD.

-- Backtrace (Reduced):
#7  0x0097ce11 in QtPrivate::QStringList_contains (that=0xbfaa9d24, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfaa9d24) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x8f6bcd0) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x8f6bcd0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfaa9f44) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x00a29b7d in metacall (argv=0xbfaa9f44, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x8f6bcd0) at kernel/qmetaobject.cpp:237
Comment 316 alocrius 2012-02-21 07:15:30 UTC
please unsubscribe me. thanks.

On Tue, Feb 21, 2012 at 1:54 AM, James <bugzappy@hushmail.com> wrote:
> https://bugs.kde.org/show_bug.cgi?id=291262
>
>
>
>
>
> --- Comment #315 from James <bugzappy hushmail com>  2012-02-21 06:53:56 ---
> Created an attachment (id=68974)
>  --> (http://bugs.kde.org/attachment.cgi?id=68974)
> New crash information added by DrKonqi
>
> muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using
> Qt 4.7.4
>
> - What I was doing when the application crashed:
>    Very similar to Report 92. However, I was doing a fresh install on an HP
> laptop (ze5500 with aP4) with no extra software. After running update from a
> Kubuntu 10.04 CD I proceeded upgrading from Natty to Oneiric. From the console
> login using (sudo apt-get upgrade) it stalled.
>    I powered down rebooted and i ran sudo dpkg --configure -a and sudo apt-get
> -f from Konsole on KDM. I ran the upgrade from the gui and used Kpakagekit.
> Other programs seem work, but Muon never did start fully. Only the frame but
> never the contents show up a few seconds before crashing.
>     KDE Platform came with Kubuntu LiveCD.
>
> -- Backtrace (Reduced):
> #7  0x0097ce11 in QtPrivate::QStringList_contains (that=0xbfaa9d24, str=...,
> cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
> #8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfaa9d24) at
> /usr/include/qt4/QtCore/qstringlist.h:171
> #9  ApplicationWindow::populateViews (this=0x8f6bcd0) at
> /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
> #10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x8f6bcd0,
> _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfaa9f44) at
> /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
> #11 0x00a29b7d in metacall (argv=0xbfaa9f44, idx=86,
> cl=QMetaObject::InvokeMetaMethod, object=0x8f6bcd0) at
> kernel/qmetaobject.cpp:237
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
Comment 317 cannibal3004 2012-02-21 21:59:35 UTC
Created attachment 68991 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:
Launched the program it hung for about 30 seconds and crashed

-- Backtrace (Reduced):
#6  0x00007fa41af62a5e in QtPrivate::QStringList_contains (that=0x7fffb7b58d30, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fffb7b58d30) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x14675b0) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x14675b0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffb7b59300) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x14eba60, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffb7b59460) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 318 Jekyll Wu 2012-02-22 09:53:04 UTC
*** Bug 294591 has been marked as a duplicate of this bug. ***
Comment 319 Jekyll Wu 2012-02-22 11:04:15 UTC
*** Bug 294605 has been marked as a duplicate of this bug. ***
Comment 320 Jekyll Wu 2012-02-22 16:59:46 UTC
*** Bug 294621 has been marked as a duplicate of this bug. ***
Comment 321 Jekyll Wu 2012-02-23 15:27:20 UTC
*** Bug 294696 has been marked as a duplicate of this bug. ***
Comment 322 Christoph Feck 2012-02-23 19:16:25 UTC
*** Bug 294662 has been marked as a duplicate of this bug. ***
Comment 323 Jekyll Wu 2012-02-24 05:39:07 UTC
*** Bug 294731 has been marked as a duplicate of this bug. ***
Comment 324 George S. Wardlow 2012-02-24 18:50:44 UTC
Created attachment 69071 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed: I was doing nothing I had a clear desktop and clicked on muon software center and it opened and quickly closed with a message (were sorry the application closed unexpectedly).

-- Backtrace (Reduced):
#6  0x00007f81853dca5e in QtPrivate::QStringList_contains (that=0x7fff3ceded10, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff3ceded10) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x108caa0) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x108caa0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff3cedf2e0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x111ed60, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff3cedf440) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 325 Jekyll Wu 2012-02-24 19:54:25 UTC
*** Bug 294767 has been marked as a duplicate of this bug. ***
Comment 326 Jekyll Wu 2012-02-25 07:44:37 UTC
*** Bug 294788 has been marked as a duplicate of this bug. ***
Comment 327 Jekyll Wu 2012-02-25 09:58:40 UTC
*** Bug 294798 has been marked as a duplicate of this bug. ***
Comment 328 Jekyll Wu 2012-02-25 10:32:06 UTC
*** Bug 294799 has been marked as a duplicate of this bug. ***
Comment 329 Jekyll Wu 2012-02-25 10:46:58 UTC
*** Bug 294800 has been marked as a duplicate of this bug. ***
Comment 330 Jekyll Wu 2012-02-26 07:15:02 UTC
*** Bug 294842 has been marked as a duplicate of this bug. ***
Comment 331 Jekyll Wu 2012-02-26 08:35:31 UTC
*** Bug 294848 has been marked as a duplicate of this bug. ***
Comment 332 Jekyll Wu 2012-02-26 13:51:59 UTC
*** Bug 294862 has been marked as a duplicate of this bug. ***
Comment 333 nicolas.jovanovic 2012-02-26 18:36:33 UTC
Created attachment 69115 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:
Surfing using Mozilla Firefox and using Konsole, I was trying to install Sun's JVM
- Unusual behavior I noticed:

-- Backtrace (Reduced):
#6  0x00007f085bc25a5e in QtPrivate::QStringList_contains (that=0x7fff4ec9e1f0, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff4ec9e1f0) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x2356060) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x2356060, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff4ec9e7c0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x23bf140, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff4ec9e920) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 334 Jekyll Wu 2012-02-27 01:06:05 UTC
*** Bug 294893 has been marked as a duplicate of this bug. ***
Comment 335 Jekyll Wu 2012-02-27 09:22:32 UTC
*** Bug 294912 has been marked as a duplicate of this bug. ***
Comment 336 Jekyll Wu 2012-02-27 09:27:33 UTC
*** Bug 294894 has been marked as a duplicate of this bug. ***
Comment 337 Jekyll Wu 2012-02-27 12:55:45 UTC
*** Bug 294923 has been marked as a duplicate of this bug. ***
Comment 338 Jekyll Wu 2012-02-27 15:40:15 UTC
*** Bug 294922 has been marked as a duplicate of this bug. ***
Comment 339 Jekyll Wu 2012-02-28 09:08:39 UTC
*** Bug 294981 has been marked as a duplicate of this bug. ***
Comment 340 Jekyll Wu 2012-02-28 12:46:11 UTC
*** Bug 294994 has been marked as a duplicate of this bug. ***
Comment 341 Jekyll Wu 2012-02-28 12:46:34 UTC
*** Bug 294990 has been marked as a duplicate of this bug. ***
Comment 342 saxon 2012-02-28 22:13:15 UTC
Created attachment 69169 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

- opening the software manager. ABSOLUTELY NOTHING ELSE WAS GOING ON. YOU'D THINK DEVELOPPERS WOULD CHECK OUT THAT SUCH A VITAL COMPONENT AS THE SOFTWARE MANAGER RUNS PROPERLY ON FRESH INSTALL. THEN, THEY WOULDN'T HAVE TO CRAM THE BUG REPORT SOFTWARE WITH SNOTTY COMMENTS ABOUT HOW USERS WASTE THEIR TIME WITH REPORTS. 

- Custom settings of the application: n/a

-- Backtrace (Reduced):
#6  0x00007f35817a3a5e in QtPrivate::QStringList_contains (that=0x7fff0a20b960, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff0a20b960) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x2046b10) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x2046b10, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff0a20bf30) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x221a5c0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff0a20c090) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 343 Jekyll Wu 2012-02-28 22:37:12 UTC
*** Bug 295029 has been marked as a duplicate of this bug. ***
Comment 344 Jekyll Wu 2012-02-29 01:19:30 UTC
*** Bug 295039 has been marked as a duplicate of this bug. ***
Comment 345 Adam 2012-02-29 03:50:42 UTC
Created attachment 69172 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

Just opened muon-installer and crashed as fast as it opened fresh install of kubuntu and i just updated all 483 updates it listed

-- Backtrace (Reduced):
#6  0x00007eff66233a5e in QtPrivate::QStringList_contains (that=0x7fff6e847af0, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff6e847af0) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x16c8de0) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x16c8de0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff6e8480c0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x17579a0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff6e848220) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 346 Jekyll Wu 2012-02-29 05:43:00 UTC
*** Bug 295047 has been marked as a duplicate of this bug. ***
Comment 347 Jekyll Wu 2012-02-29 14:46:07 UTC
*** Bug 295069 has been marked as a duplicate of this bug. ***
Comment 348 Jekyll Wu 2012-02-29 17:25:26 UTC
*** Bug 295078 has been marked as a duplicate of this bug. ***
Comment 349 Jekyll Wu 2012-02-29 23:23:10 UTC
*** Bug 295079 has been marked as a duplicate of this bug. ***
Comment 350 Jekyll Wu 2012-02-29 23:23:45 UTC
*** Bug 295080 has been marked as a duplicate of this bug. ***
Comment 351 Jekyll Wu 2012-02-29 23:24:14 UTC
*** Bug 295100 has been marked as a duplicate of this bug. ***
Comment 352 Joris 2012-03-01 08:06:38 UTC
Hey, 

i've found out that changing the conditions in software-resourses solved the issue; 

Turn off the PPA for independed software from 3th party in the software-resources solved the problem. 
Muon works fine now. 

Also just upgrade to KDE 4.8 from 4.7 solves the issue with Muon softwarecentrum 

Regards, 

Joris

> Date: Wed, 29 Feb 2012 23:24:21 +0000
> From: adaptee@gmail.com
> To: dondersjoris@hotmail.com
> Subject: [Bug 291262] Logitheque Muon issue
> 
> https://bugs.kde.org/show_bug.cgi?id=291262
> 
> 
> Jekyll Wu <adaptee@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |igrp5@yahoo.com
> 
> 
> 
> 
> --- Comment #351 from Jekyll Wu <adaptee gmail com>  2012-02-29 23:24:14 ---
> *** Bug 295100 has been marked as a duplicate of this bug. ***
> 
> -- 
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
Comment 353 Jekyll Wu 2012-03-01 09:45:14 UTC
*** Bug 295114 has been marked as a duplicate of this bug. ***
Comment 354 Jekyll Wu 2012-03-01 13:04:38 UTC
*** Bug 295127 has been marked as a duplicate of this bug. ***
Comment 355 Jekyll Wu 2012-03-01 18:32:29 UTC
*** Bug 295163 has been marked as a duplicate of this bug. ***
Comment 356 Jekyll Wu 2012-03-01 22:00:08 UTC
*** Bug 295179 has been marked as a duplicate of this bug. ***
Comment 357 Jekyll Wu 2012-03-02 03:56:35 UTC
*** Bug 295188 has been marked as a duplicate of this bug. ***
Comment 358 Jekyll Wu 2012-03-02 15:26:07 UTC
*** Bug 295215 has been marked as a duplicate of this bug. ***
Comment 359 Jekyll Wu 2012-03-04 08:56:35 UTC
*** Bug 295293 has been marked as a duplicate of this bug. ***
Comment 360 tsampat 2012-03-04 10:22:46 UTC
Hi

Nothing changed /added/removed.

Fresh install of Kubuntu

Crashed when installing updates first time

On Sun, Mar 4, 2012 at 2:26 PM, Jekyll Wu <adaptee@gmail.com> wrote:
> https://bugs.kde.org/show_bug.cgi?id=291262
>
> Jekyll Wu <adaptee@gmail.com> changed:
>
>           What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                 CC|                            |tsampat@aarogya.com
>
> --- Comment #359 from Jekyll Wu <adaptee@gmail.com> ---
> *** Bug 295293 has been marked as a duplicate of this bug. ***
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
Comment 361 Jonathan Thomas 2012-03-05 21:18:23 UTC
*** Bug 295353 has been marked as a duplicate of this bug. ***
Comment 362 Jonathan Thomas 2012-03-06 00:10:52 UTC
*** Bug 295392 has been marked as a duplicate of this bug. ***
Comment 363 Christoph Feck 2012-03-08 18:23:22 UTC
*** Bug 295543 has been marked as a duplicate of this bug. ***
Comment 364 Jekyll Wu 2012-03-10 16:23:29 UTC
*** Bug 295682 has been marked as a duplicate of this bug. ***
Comment 365 tomas 2012-03-10 23:06:41 UTC
Created attachment 69476 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:surfing with firefox + using the konsole and muon crashed as soon as i run it

-- Backtrace (Reduced):
#7  0x007cce11 in QtPrivate::QStringList_contains (that=0xbfc5caa4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfc5caa4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x8e48818) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x8e48818, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfc5ccc4) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x00879b7d in metacall (argv=0xbfc5ccc4, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x8e48818) at kernel/qmetaobject.cpp:237
Comment 366 Jekyll Wu 2012-03-10 23:47:20 UTC
*** Bug 295706 has been marked as a duplicate of this bug. ***
Comment 367 Jekyll Wu 2012-03-11 00:06:54 UTC
*** Bug 295692 has been marked as a duplicate of this bug. ***
Comment 368 Jekyll Wu 2012-03-11 09:42:12 UTC
*** Bug 295741 has been marked as a duplicate of this bug. ***
Comment 369 Jekyll Wu 2012-03-11 13:12:49 UTC
*** Bug 295758 has been marked as a duplicate of this bug. ***
Comment 370 Jekyll Wu 2012-03-11 22:50:25 UTC
*** Bug 295807 has been marked as a duplicate of this bug. ***
Comment 371 Jekyll Wu 2012-03-11 22:50:49 UTC
*** Bug 295787 has been marked as a duplicate of this bug. ***
Comment 372 albatross 2012-03-12 06:31:18 UTC
Created attachment 69525 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

muon software center crashes when i open it

-- Backtrace (Reduced):
#6  0x00007f6914f8fa5e in QtPrivate::QStringList_contains (that=0x7fffe6cf3940, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fffe6cf3940) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x15c5370) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x15c5370, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffe6cf3f10) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x165e4d0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffe6cf4070) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 373 Jekyll Wu 2012-03-12 13:14:48 UTC
*** Bug 295833 has been marked as a duplicate of this bug. ***
Comment 374 Jekyll Wu 2012-03-12 18:19:04 UTC
*** Bug 295855 has been marked as a duplicate of this bug. ***
Comment 375 Jekyll Wu 2012-03-13 00:19:00 UTC
*** Bug 295882 has been marked as a duplicate of this bug. ***
Comment 376 Jekyll Wu 2012-03-13 02:04:33 UTC
*** Bug 295885 has been marked as a duplicate of this bug. ***
Comment 377 Jekyll Wu 2012-03-13 06:27:17 UTC
*** Bug 295895 has been marked as a duplicate of this bug. ***
Comment 378 Christoph Feck 2012-03-13 13:05:20 UTC
*** Bug 295873 has been marked as a duplicate of this bug. ***
Comment 379 Jekyll Wu 2012-03-13 21:57:44 UTC
*** Bug 295946 has been marked as a duplicate of this bug. ***
Comment 380 Jekyll Wu 2012-03-13 21:58:11 UTC
*** Bug 295960 has been marked as a duplicate of this bug. ***
Comment 381 Jekyll Wu 2012-03-13 21:59:11 UTC
*** Bug 295919 has been marked as a duplicate of this bug. ***
Comment 382 Jekyll Wu 2012-03-13 22:38:00 UTC
*** Bug 295950 has been marked as a duplicate of this bug. ***
Comment 383 Jekyll Wu 2012-03-14 16:42:04 UTC
*** Bug 296004 has been marked as a duplicate of this bug. ***
Comment 384 Jekyll Wu 2012-03-14 23:58:38 UTC
*** Bug 296017 has been marked as a duplicate of this bug. ***
Comment 385 Jekyll Wu 2012-03-15 08:19:40 UTC
*** Bug 296044 has been marked as a duplicate of this bug. ***
Comment 386 Jonathan Thomas 2012-03-16 13:45:48 UTC
*** Bug 296099 has been marked as a duplicate of this bug. ***
Comment 387 Jonathan Thomas 2012-03-16 13:45:56 UTC
*** Bug 296121 has been marked as a duplicate of this bug. ***
Comment 388 Meisterfaho 2012-03-16 18:55:04 UTC
Created attachment 69677 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

I was doing to started the application , waht's it .

gl

-- Backtrace (Reduced):
#7  0x0057de11 in QtPrivate::QStringList_contains (that=0xbffdea64, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbffdea64) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x8825a28) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x8825a28, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbffdec84) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x0062ab7d in metacall (argv=0xbffdec84, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x8825a28) at kernel/qmetaobject.cpp:237
Comment 389 Jekyll Wu 2012-03-17 00:16:19 UTC
*** Bug 296170 has been marked as a duplicate of this bug. ***
Comment 390 Christoph Feck 2012-03-17 00:52:30 UTC
*** Bug 296172 has been marked as a duplicate of this bug. ***
Comment 391 Jekyll Wu 2012-03-17 08:18:04 UTC
*** Bug 296189 has been marked as a duplicate of this bug. ***
Comment 392 Jekyll Wu 2012-03-17 09:20:00 UTC
*** Bug 296195 has been marked as a duplicate of this bug. ***
Comment 393 Lamarque V. Souza 2012-03-17 23:53:19 UTC
*** Bug 296224 has been marked as a duplicate of this bug. ***
Comment 394 Jekyll Wu 2012-03-17 23:56:58 UTC
*** Bug 296230 has been marked as a duplicate of this bug. ***
Comment 395 Jekyll Wu 2012-03-18 15:58:30 UTC
*** Bug 296283 has been marked as a duplicate of this bug. ***
Comment 396 Daniel L McGrew 2012-03-18 16:38:50 UTC
I've been instigating updates regularly and one of them corrected the problem. 
I wish that I could remember which one it was, but it was withing the last 
weeks batches, if that helps any.

On Sunday, March 18, 2012 03:58:30 PM you wrote:
> https://bugs.kde.org/show_bug.cgi?id=291262
> 
> Jekyll Wu <adaptee@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
> CC|                            |sylvainmop@free.fr
> 
> --- Comment #395 from Jekyll Wu <adaptee@gmail.com> ---
> *** Bug 296283 has been marked as a duplicate of this bug. ***
Comment 397 Lamarque V. Souza 2012-03-18 23:51:07 UTC
*** Bug 296298 has been marked as a duplicate of this bug. ***
Comment 398 Travis 2012-03-19 05:07:48 UTC
Created attachment 69725 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

Absolutely nothing. This is on a fresh install and I have updated everything to the latest version. muon-installer is still crashing immediately on startup.

-- Backtrace (Reduced):
#7  0xb7264e11 in QtPrivate::QStringList_contains (that=0xbfc7a2f4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfc7a2f4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x916ab00) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x916ab00, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfc7a514) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0xb7311b7d in metacall (argv=0xbfc7a514, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x916ab00) at kernel/qmetaobject.cpp:237
Comment 399 Jekyll Wu 2012-03-19 07:20:56 UTC
*** Bug 296323 has been marked as a duplicate of this bug. ***
Comment 400 Jekyll Wu 2012-03-19 12:43:49 UTC
*** Bug 296351 has been marked as a duplicate of this bug. ***
Comment 401 Jonathan Thomas 2012-03-20 13:11:01 UTC
*** Bug 296432 has been marked as a duplicate of this bug. ***
Comment 402 Jekyll Wu 2012-03-20 17:03:59 UTC
*** Bug 296441 has been marked as a duplicate of this bug. ***
Comment 403 Jekyll Wu 2012-03-20 19:32:43 UTC
*** Bug 296452 has been marked as a duplicate of this bug. ***
Comment 404 Jekyll Wu 2012-03-22 11:18:07 UTC
*** Bug 296545 has been marked as a duplicate of this bug. ***
Comment 405 Jekyll Wu 2012-03-22 18:24:07 UTC
*** Bug 296573 has been marked as a duplicate of this bug. ***
Comment 406 Michael Davis 2012-03-22 20:28:51 UTC
Created attachment 69818 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:
 Fresh install of Kubuntu 11.10. Installed all updates and still crashes.

-- Backtrace (Reduced):
#6  0x00007f4de0ecca5e in QtPrivate::QStringList_contains (that=0x7fff2af52810, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff2af52810) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x1cf7660) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x1cf7660, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff2af52de0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x1d16cd0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff2af52f40) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 407 Jekyll Wu 2012-03-23 02:47:54 UTC
*** Bug 296593 has been marked as a duplicate of this bug. ***
Comment 408 Jekyll Wu 2012-03-23 07:10:52 UTC
*** Bug 296602 has been marked as a duplicate of this bug. ***
Comment 409 Jekyll Wu 2012-03-24 04:51:12 UTC
*** Bug 296663 has been marked as a duplicate of this bug. ***
Comment 410 Saska Heino 2012-03-25 11:29:17 UTC
Created attachment 69880 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

I was opening Muon when it crashed. This occurs every time when doing so.

-- Backtrace (Reduced):
#7  0xb71e6e11 in QtPrivate::QStringList_contains (that=0xbfad16b4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfad16b4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x85aa2e8) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x85aa2e8, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfad18d4) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0xb7293b7d in metacall (argv=0xbfad18d4, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x85aa2e8) at kernel/qmetaobject.cpp:237
Comment 411 de2bloody 2012-03-25 15:18:16 UTC
Created attachment 69886 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

Using Terminal and surfing with rekong
(I lost power while I was updating last time mabye this is the problem)

-- Backtrace (Reduced):
#6  0x00007fa9eefb4a5e in QtPrivate::QStringList_contains (that=0x7fff7689ed20, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff7689ed20) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x149a600) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x149a600, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff7689f2f0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x1566580, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff7689f450) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 412 Jekyll Wu 2012-03-26 04:23:41 UTC
*** Bug 296789 has been marked as a duplicate of this bug. ***
Comment 413 Jekyll Wu 2012-03-26 19:18:13 UTC
*** Bug 296828 has been marked as a duplicate of this bug. ***
Comment 414 Jekyll Wu 2012-03-27 06:07:14 UTC
*** Bug 296854 has been marked as a duplicate of this bug. ***
Comment 415 Rob V 2012-03-27 10:39:07 UTC
Created attachment 69931 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

Opening Muon, running Firefox. Muon decided to crash before opening.

-- Backtrace (Reduced):
#6  0x00007fac626a6a5e in QtPrivate::QStringList_contains (that=0x7fff27faa4f0, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff27faa4f0) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x1749e80) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x1749e80, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff27faaac0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x18f3050, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff27faac20) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 416 Jekyll Wu 2012-03-27 17:06:10 UTC
*** Bug 296898 has been marked as a duplicate of this bug. ***
Comment 417 Jack 2012-03-27 21:06:13 UTC
Created attachment 69947 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

I just installed KDE on a Dell Mini 1012. I did an: update, upgrade, and dist-upgrade, rebooted, upgrade, rebooted. Now I want to install my favorite software (firefox, thunderbird, etc.) I clicked the "K", typed in "software" then clicked on "Muon Software Center", then the crash happens.

I rebooted the computer, opened "Muon Software Center", and it crashes. This is repeatable.

-- Backtrace (Reduced):
#7  0x00d12e11 in QtPrivate::QStringList_contains (that=0xbfb1b2e4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfb1b2e4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x8735b88) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x8735b88, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfb1b504) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x00dbfb7d in metacall (argv=0xbfb1b504, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x8735b88) at kernel/qmetaobject.cpp:237
Comment 418 Jekyll Wu 2012-03-28 20:57:19 UTC
*** Bug 296988 has been marked as a duplicate of this bug. ***
Comment 419 Jekyll Wu 2012-03-29 15:35:22 UTC
*** Bug 297053 has been marked as a duplicate of this bug. ***
Comment 420 Jekyll Wu 2012-03-29 20:49:04 UTC
*** Bug 296357 has been marked as a duplicate of this bug. ***
Comment 421 Mixphonics 2012-03-30 19:48:20 UTC
Created attachment 70025 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

Opening the Muon Software center from the menu and the application crashed.

-- Backtrace (Reduced):
#7  0xb71c5e11 in QtPrivate::QStringList_contains (that=0xbf809a94, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbf809a94) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x943a058) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x943a058, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbf809cb4) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0xb7272b7d in metacall (argv=0xbf809cb4, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x943a058) at kernel/qmetaobject.cpp:237
Comment 422 edward 2012-04-02 16:09:23 UTC
Created attachment 70084 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:
i installed kubuntu and installed wine from console and i wanted to open moun software centere when i opened it the error has appeared crash report

-- Backtrace (Reduced):
#6  0x00007fd8f1984a5e in QtPrivate::QStringList_contains (that=0x7ffff6d6cc20, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7ffff6d6cc20) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0xf12710) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0xf12710, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7ffff6d6d1f0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0xfa7f50, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7ffff6d6d350) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 423 Ivan 2012-04-04 13:34:38 UTC
Created attachment 70146 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

Thread 1 (Thread 0xb4754930 (LWP 7407)):
[KCrash Handler]
#7  0xb717de11 in QtPrivate::QStringList_contains (that=0xbfd9b9c4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfd9b9c4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x9f93830) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x9f93830, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfd9bbe4) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0xb722ab7d in metacall (argv=0xbfd9bbe4, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x9f93830) at kernel/qmetaobject.cpp:237
#12 QMetaObject::metacall (object=0x9f93830, cl=QMetaObject::InvokeMetaMethod, idx=86, argv=0xbfd9bbe4) at kernel/qmetaobject.cpp:232
#13 0xb7239a6a in QMetaObject::activate (sender=0xa005ca8, m=0x8085040, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3278
#14 0x0805de57 in ApplicationBackend::appBackendReady (this=0xa005ca8) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/moc_ApplicationBackend.cpp:127
#15 0x0805e1d5 in ApplicationBackend::qt_metacall (this=0xa005ca8, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfd9bd28) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/moc_ApplicationBackend.cpp:109
#16 0xb722ab7d in metacall (argv=0xbfd9bd28, idx=12, cl=QMetaObject::InvokeMetaMethod, object=0xa005ca8) at kernel/qmetaobject.cpp:237
#17 QMetaObject::metacall (object=0xa005ca8, cl=QMetaObject::InvokeMetaMethod, idx=12, argv=0xbfd9bd28) at kernel/qmetaobject.cpp:232
#18 0xb7239a6a in QMetaObject::activate (sender=0x9f93830, m=0x80950c0, local_signal_index=0, argv=0xbfd9bd28) at kernel/qobject.cpp:3278
#19 0xb769a7c5 in MuonMainWindow::backendReady (this=0x9f93830, _t1=0x9fecfc8) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/libmuon/MuonMainWindow.moc:168
#20 0xb769a933 in MuonMainWindow::initObject (this=0x9f93830) at /build/buildd/muon-1.2.1/libmuon/MuonMainWindow.cpp:79
#21 0x080654fc in ApplicationWindow::initObject (this=0x9f93830) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:116
#22 0x0806a09f in ApplicationWindow::qt_metacall (this=0x9f93830, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfd9be54) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:104
#23 0xb722ab7d in metacall (argv=0xbfd9be54, idx=77, cl=QMetaObject::InvokeMetaMethod, object=0x9f93830) at kernel/qmetaobject.cpp:237
#24 QMetaObject::metacall (object=0x9f93830, cl=QMetaObject::InvokeMetaMethod, idx=77, argv=0xbfd9be54) at kernel/qmetaobject.cpp:232
#25 0xb7239a6a in QMetaObject::activate (sender=0x9ffd598, m=0xb735a238, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3278
#26 0xb7241375 in QSingleShotTimer::timeout (this=0x9ffd598) at .moc/release-shared/qtimer.moc:82
#27 0xb724142c in QSingleShotTimer::timerEvent (this=0x9ffd598) at kernel/qtimer.cpp:308
#28 0xb723c994 in QObject::event (this=0x9ffd598, e=0xbfd9c24c) at kernel/qobject.cpp:1181
#29 0xb600ad84 in notify_helper (e=0xbfd9c24c, receiver=0x9ffd598, this=0x9ea1848) at kernel/qapplication.cpp:4486
#30 QApplicationPrivate::notify_helper (this=0x9ea1848, receiver=0x9ffd598, e=0xbfd9c24c) at kernel/qapplication.cpp:4458
#31 0xb6010133 in QApplication::notify (this=0xbfd9c24c, receiver=0x9ffd598, e=0xbfd9c24c) at kernel/qapplication.cpp:3886
#32 0xb6e29971 in KApplication::notify (this=0xbfd9c560, receiver=0x9ffd598, event=0xbfd9c24c) at ../../kdeui/kernel/kapplication.cpp:311
#33 0xb722419e in QCoreApplication::notifyInternal (this=0xbfd9c560, receiver=0x9ffd598, event=0xbfd9c24c) at kernel/qcoreapplication.cpp:787
#34 0xb7254c10 in sendEvent (event=0xbfd9c24c, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#35 QTimerInfoList::activateTimers (this=0x9ea3e74) at kernel/qeventdispatcher_unix.cpp:603
#36 0xb7252122 in timerSourceDispatch (source=0x9ea3e40) at kernel/qeventdispatcher_glib.cpp:184
#37 0xb51e825f in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#38 0xb51e8990 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#39 0xb51e8c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#40 0xb7252ada in QEventDispatcherGlib::processEvents (this=0x9e7f220, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#41 0xb60c2e7a in QGuiEventDispatcherGlib::processEvents (this=0x9e7f220, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#42 0xb72231dd in QEventLoop::processEvents (this=0xbfd9c4c4, flags=...) at kernel/qeventloop.cpp:149
#43 0xb7223421 in QEventLoop::exec (this=0xbfd9c4c4, flags=...) at kernel/qeventloop.cpp:201
#44 0xb722819d in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#45 0xb6008924 in QApplication::exec () at kernel/qapplication.cpp:3760
#46 0x0805db86 in main (argc=) at /build/buildd/muon-1.2.1/installer/main.cpp:61

-- Backtrace (Reduced):
#7  0xb7256e11 in QtPrivate::QStringList_contains (that=0xbfa94924, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfa94924) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x896eb28) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x896eb28, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfa94b44) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0xb7303b7d in metacall (argv=0xbfa94b44, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x896eb28) at kernel/qmetaobject.cpp:237
Comment 424 Jekyll Wu 2012-04-05 13:43:19 UTC
*** Bug 297533 has been marked as a duplicate of this bug. ***
Comment 425 Jonathan Thomas 2012-04-07 23:30:46 UTC
*** Bug 297689 has been marked as a duplicate of this bug. ***
Comment 426 Jonathan Thomas 2012-04-11 15:27:07 UTC
*** Bug 297903 has been marked as a duplicate of this bug. ***
Comment 427 Jonathan Thomas 2012-04-12 21:29:05 UTC
*** Bug 297997 has been marked as a duplicate of this bug. ***
Comment 428 Archit 2012-04-13 00:31:15 UTC
Created attachment 70354 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

i just started the application. Before that i just booted my OS and did some minor work which i think is not related to the crash.

-- Backtrace (Reduced):
#7  0xb71fae11 in QtPrivate::QStringList_contains (that=0xbf8b7aa4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbf8b7aa4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x9fe4d00) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x9fe4d00, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbf8b7cc4) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0xb72a7b7d in metacall (argv=0xbf8b7cc4, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x9fe4d00) at kernel/qmetaobject.cpp:237
Comment 429 Jonathan Thomas 2012-04-14 19:57:13 UTC
*** Bug 298138 has been marked as a duplicate of this bug. ***
Comment 430 Jonathan Thomas 2012-04-14 21:29:31 UTC
*** Bug 298147 has been marked as a duplicate of this bug. ***
Comment 431 Luvo 2012-04-14 22:13:43 UTC
Created attachment 70387 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

Just opened the app, and it crashed.....
This is a fresh install of Kubuntu (11.10)

-- Backtrace (Reduced):
#6  0x00007f8734ddba5e in QtPrivate::QStringList_contains (that=0x7fff9d4515c0, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fff9d4515c0) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x230b610) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x230b610, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff9d451b90) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x21afc60, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff9d451cf0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 432 hoot2289 2012-04-15 04:17:54 UTC
Created attachment 70388 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

First I tried opening the program through the shortcut and it crashed. Then, I ran it with the command line: Alt + F2...I typed "muon-installer" (without ""s), hit enter, and it crashed again. So, here I sit...

-- Backtrace (Reduced):
#7  0xb7196e11 in QtPrivate::QStringList_contains (that=0xbff01014, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbff01014) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x82d9960) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x82d9960, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbff01234) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0xb7243b7d in metacall (argv=0xbff01234, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x82d9960) at kernel/qmetaobject.cpp:237
Comment 433 Andreas 2012-04-16 11:11:16 UTC
Created attachment 70425 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

I started the pc and then muon and it crashed. I did not do anything else

-- Backtrace (Reduced):
#6  0x00007fce501c6a5e in QtPrivate::QStringList_contains (that=0x7fffb34cca80, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fffb34cca80) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x169e160) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x169e160, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffb34cd050) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x1731790, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffb34cd1b0) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 434 albatross 2012-04-17 12:31:48 UTC
UNSUBSCRIBE

On Mon, Apr 16, 2012 at 5:11 AM, Andreas <prideth1337@googlemail.com> wrote:

> https://bugs.kde.org/show_bug.cgi?id=291262
>
> --- Comment #433 from Andreas <prideth1337@googlemail.com> ---
> Created attachment 70425 [details]
>  --> https://bugs.kde.org/attachment.cgi?id=70425&action=edit
> New crash information added by DrKonqi
>
> muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4)
> using
> Qt 4.7.4
>
> I started the pc and then muon and it crashed. I did not do anything else
>
> -- Backtrace (Reduced):
> #6  0x00007fce501c6a5e in QtPrivate::QStringList_contains
> (that=0x7fffb34cca80,
> str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
> #7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=...,
> this=0x7fffb34cca80) at /usr/include/qt4/QtCore/qstringlist.h:171
> #8  ApplicationWindow::populateViews (this=0x169e160) at
> /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
> #9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x169e160,
> _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffb34cd050)
> at
>
> /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
> [...]
> #11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x1731790,
> _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffb34cd1b0)
> at
>
> /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
>
Comment 435 Dylan 2012-04-17 23:35:36 UTC
Created attachment 70468 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

Muon Software Center crashes everytime I open it.

-- Backtrace (Reduced):
#7  0x00288e11 in QtPrivate::QStringList_contains (that=0xbff7f124, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbff7f124) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x994a778) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x994a778, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbff7f344) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x00335b7d in metacall (argv=0xbff7f344, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x994a778) at kernel/qmetaobject.cpp:237
Comment 436 mparchet 2012-04-18 17:28:59 UTC
Created attachment 70487 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:
I tried to start the application. The application crach every time.
- Custom settings of the application:

-- Backtrace (Reduced):
#7  0xb71a4e11 in QtPrivate::QStringList_contains (that=0xbf8838a4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbf8838a4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x8354c40) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x8354c40, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbf883ac4) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0xb7251b7d in metacall (argv=0xbf883ac4, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x8354c40) at kernel/qmetaobject.cpp:237
Comment 437 Peter 2012-04-21 07:44:40 UTC
Created attachment 70549 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

Every time on launch muon from KDE main menu.

-- Backtrace (Reduced):
#6  0x00007f67f6993a5e in QtPrivate::QStringList_contains (that=0x7fffc809f560, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fffc809f560) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x16754a0) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x16754a0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffc809fb30) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x1702d30, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffc809fc90) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 438 Fouad 2012-04-21 10:09:31 UTC
Created attachment 70551 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

Starting Muon. Nothing else out of the ordinary.

-- Backtrace (Reduced):
#7  0x00297e11 in QtPrivate::QStringList_contains (that=0xbfd96d74, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfd96d74) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x8d84df8) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x8d84df8, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfd96f94) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x00344b7d in metacall (argv=0xbfd96f94, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x8d84df8) at kernel/qmetaobject.cpp:237
Comment 439 Guiu Rocafort 2012-04-21 16:28:11 UTC
Created attachment 70554 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

On a fresh Kubuntu install, Muon throws a segmentation fault every time you try to open it. Also relatet that Muon update manager shows that there are updates avariable, but it freezes when trying to install them.

-- Backtrace (Reduced):
#7  0x0069ce11 in QtPrivate::QStringList_contains (that=0xbf9a1de4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbf9a1de4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x82ec810) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x82ec810, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbf9a2004) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x00749b7d in metacall (argv=0xbf9a2004, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x82ec810) at kernel/qmetaobject.cpp:237
Comment 440 michel 2012-04-22 16:57:29 UTC
Created attachment 70570 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:
Nothing, just opened the application
- Custom settings of the application:
before i changed the language packet via system configuration

-- Backtrace (Reduced):
#7  0x0022ce11 in QtPrivate::QStringList_contains (that=0xbfa69ee4, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfa69ee4) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x8a74548) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x8a74548, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfa6a104) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x002d9b7d in metacall (argv=0xbfa6a104, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x8a74548) at kernel/qmetaobject.cpp:237
Comment 441 Harry 2012-04-24 23:56:26 UTC
Created attachment 70636 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:
Whenever i try to launch Software Center it crashing and opeing up pop up window to report a bug. with the following error.
Executable: muon-installer PID: 3048 Signal: Segmentation fault (11)

-- Backtrace (Reduced):
#7  0x006dce11 in QtPrivate::QStringList_contains (that=0xbfa19f14, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfa19f14) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x9efe498) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x9efe498, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfa1a134) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x00789b7d in metacall (argv=0xbfa1a134, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x9efe498) at kernel/qmetaobject.cpp:237
Comment 442 gamerx_24 2012-04-26 19:20:54 UTC
Created attachment 70679 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed:I was trying to open the software center when it crashed

-- Backtrace (Reduced):
#6  0x00007fc09aee0a5e in QtPrivate::QStringList_contains (that=0x7fffa817e130, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#7  0x000000000042416b in contains (cs=Qt::CaseSensitive, str=..., this=0x7fffa817e130) at /usr/include/qt4/QtCore/qstringlist.h:171
#8  ApplicationWindow::populateViews (this=0x17b9b20) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#9  0x000000000042771c in ApplicationWindow::qt_metacall (this=0x17b9b20, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffa817e700) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/ApplicationWindow.moc:113
[...]
#11 0x000000000041c31c in ApplicationBackend::qt_metacall (this=0x1877520, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffa817e860) at /build/buildd/muon-1.2.1/obj-x86_64-linux-gnu/installer/moc_ApplicationBackend.cpp:109
Comment 443 Jekyll Wu 2012-04-28 13:25:12 UTC
*** Bug 298966 has been marked as a duplicate of this bug. ***
Comment 444 D3v3L0per212 2012-05-17 19:59:09 UTC
Created attachment 71162 [details]
New crash information added by DrKonqi

muon-installer (1.2.1 "Caustic Carrionite") on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

- Unusual behavior I noticed:

- Custom settings of the application:

Application: Muon Software Centre (muon-installer), signal: Segmentation fault
[Current thread is 1 (Thread 0xb7739930 (LWP 2552))]

Thread 2 (Thread 0xb5a9eb70 (LWP 2556)):
#0  0x03b85854 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0x03b86637 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0x03b86c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x00872b37 in QEventDispatcherGlib::processEvents (this=0x9a9c838, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x008431dd in QEventLoop::processEvents (this=0xb5a9e2b0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00843421 in QEventLoop::exec (this=0xb5a9e2b0, flags=...) at kernel/qeventloop.cpp:201
#6  0x0074690b in QThread::exec (this=0x9be62e8) at thread/qthread.cpp:498
#7  0x00823e2d in QInotifyFileSystemWatcherEngine::run (this=0x9be62e8) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x007497b3 in QThreadPrivate::start (arg=0x9be62e8) at thread/qthread_unix.cpp:331
#9  0x00cd3d31 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#10 0x00c0e46e in clone () from /lib/i386-linux-gnu/libc.so.6
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 1 (Thread 0xb7739930 (LWP 2552)):
[KCrash Handler]
#7  0x0079de11 in QtPrivate::QStringList_contains (that=0xbfced904, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfced904) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x9b9c328) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x9b9c328, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfcedb24) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x0084ab7d in metacall (argv=0xbfcedb24, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x9b9c328) at kernel/qmetaobject.cpp:237
#12 QMetaObject::metacall (object=0x9b9c328, cl=QMetaObject::InvokeMetaMethod, idx=86, argv=0xbfcedb24) at kernel/qmetaobject.cpp:232
#13 0x00859a6a in QMetaObject::activate (sender=0x9c04770, m=0x8085040, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3278
#14 0x0805de57 in ApplicationBackend::appBackendReady (this=0x9c04770) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/moc_ApplicationBackend.cpp:127
#15 0x0805e1d5 in ApplicationBackend::qt_metacall (this=0x9c04770, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfcedc68) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/moc_ApplicationBackend.cpp:109
#16 0x0084ab7d in metacall (argv=0xbfcedc68, idx=12, cl=QMetaObject::InvokeMetaMethod, object=0x9c04770) at kernel/qmetaobject.cpp:237
#17 QMetaObject::metacall (object=0x9c04770, cl=QMetaObject::InvokeMetaMethod, idx=12, argv=0xbfcedc68) at kernel/qmetaobject.cpp:232
#18 0x00859a6a in QMetaObject::activate (sender=0x9b9c328, m=0x80950c0, local_signal_index=0, argv=0xbfcedc68) at kernel/qobject.cpp:3278
#19 0x009c67c5 in MuonMainWindow::backendReady (this=0x9b9c328, _t1=0x9c0b008) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/libmuon/MuonMainWindow.moc:168
#20 0x009c6933 in MuonMainWindow::initObject (this=0x9b9c328) at /build/buildd/muon-1.2.1/libmuon/MuonMainWindow.cpp:79
#21 0x080654fc in ApplicationWindow::initObject (this=0x9b9c328) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:116
#22 0x0806a09f in ApplicationWindow::qt_metacall (this=0x9b9c328, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfcedd94) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:104
#23 0x0084ab7d in metacall (argv=0xbfcedd94, idx=77, cl=QMetaObject::InvokeMetaMethod, object=0x9b9c328) at kernel/qmetaobject.cpp:237
#24 QMetaObject::metacall (object=0x9b9c328, cl=QMetaObject::InvokeMetaMethod, idx=77, argv=0xbfcedd94) at kernel/qmetaobject.cpp:232
#25 0x00859a6a in QMetaObject::activate (sender=0x9c08770, m=0x97a238, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3278
#26 0x00861375 in QSingleShotTimer::timeout (this=0x9c08770) at .moc/release-shared/qtimer.moc:82
#27 0x0086142c in QSingleShotTimer::timerEvent (this=0x9c08770) at kernel/qtimer.cpp:308
#28 0x0085c994 in QObject::event (this=0x9c08770, e=0xbfcee18c) at kernel/qobject.cpp:1181
#29 0x01559d84 in notify_helper (e=0xbfcee18c, receiver=0x9c08770, this=0x9aa31d8) at kernel/qapplication.cpp:4486
#30 QApplicationPrivate::notify_helper (this=0x9aa31d8, receiver=0x9c08770, e=0xbfcee18c) at kernel/qapplication.cpp:4458
#31 0x0155f133 in QApplication::notify (this=0xbfcee18c, receiver=0x9c08770, e=0xbfcee18c) at kernel/qapplication.cpp:3886
#32 0x011af971 in KApplication::notify (this=0xbfcee4a0, receiver=0x9c08770, event=0xbfcee18c) at ../../kdeui/kernel/kapplication.cpp:311
#33 0x0084419e in QCoreApplication::notifyInternal (this=0xbfcee4a0, receiver=0x9c08770, event=0xbfcee18c) at kernel/qcoreapplication.cpp:787
#34 0x00874c10 in sendEvent (event=0xbfcee18c, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#35 QTimerInfoList::activateTimers (this=0x9aa70ec) at kernel/qeventdispatcher_unix.cpp:603
#36 0x00872155 in timerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:184
#37 idleTimerSourceDispatch (source=0x9aa7120) at kernel/qeventdispatcher_glib.cpp:231
#38 0x03b8625f in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#39 0x03b86990 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#40 0x03b86c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#41 0x00872ada in QEventDispatcherGlib::processEvents (this=0x9a86238, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#42 0x01611e7a in QGuiEventDispatcherGlib::processEvents (this=0x9a86238, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#43 0x008431dd in QEventLoop::processEvents (this=0xbfcee404, flags=...) at kernel/qeventloop.cpp:149
#44 0x00843421 in QEventLoop::exec (this=0xbfcee404, flags=...) at kernel/qeventloop.cpp:201
#45 0x0084819d in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#46 0x01557924 in QApplication::exec () at kernel/qapplication.cpp:3760
#47 0x0805db86 in main (argc=) at /build/buildd/muon-1.2.1/installer/main.cpp:61

-- Backtrace (Reduced):
#7  0x0079de11 in QtPrivate::QStringList_contains (that=0xbfced904, str=..., cs=Qt::CaseSensitive) at tools/qstringlist.cpp:318
#8  0x08066812 in contains (cs=Qt::CaseSensitive, str=..., this=0xbfced904) at /usr/include/qt4/QtCore/qstringlist.h:171
#9  ApplicationWindow::populateViews (this=0x9b9c328) at /build/buildd/muon-1.2.1/installer/ApplicationWindow.cpp:229
#10 0x0806a194 in ApplicationWindow::qt_metacall (this=0x9b9c328, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfcedb24) at /build/buildd/muon-1.2.1/obj-i686-linux-gnu/installer/ApplicationWindow.moc:113
#11 0x0084ab7d in metacall (argv=0xbfcedb24, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x9b9c328) at kernel/qmetaobject.cpp:237
Comment 445 starzilles 2012-08-21 18:44:36 UTC
UNSUBSCRIBE
On Feb 12, 2012, at 1:22 PM, Jekyll Wu wrote:

> https://bugs.kde.org/show_bug.cgi?id=291262